<?php

function vidprofits_get_video($video_id = 0) {
    if (!$video_id) return 0;
    global $wpdb;
    return $wpdb->get_row( $wpdb->prepare("SELECT * FROM {$wpdb->prefix}vidprofits_vids WHERE id = %d", $video_id ) );
}

function vidprofits_add_video( $name, $url = '', $sizetype = 0, $width = 0, $height = 0, $preview_img = '', $autoplay = 0, $loop = 0 ) {
	global $wpdb;
	$res = $wpdb->insert(
	    $wpdb->prefix.'vidprofits_vids',
	    array(
	        'name' => $name,
	        'url' => $url,
	        'sizetype' => intval( $sizetype ),
	        'width' => intval( $width ),
	        'height' => intval( $height ),
	        'preview_img' => $preview_img,
	        'autoplay' => $autoplay,
	        'doloop' => $loop
	    ),
	    array(
	        '%s',
	        '%s',
	        '%d',
	        '%d',
	        '%d',
	        '%s',
	        '%d',
	        '%d'
	    )
	);
	if ( $res )
	    return $wpdb->insert_id;
	else
		return 0;
}

function vidprofits_update_video( $video_id, $name, $url = '', $sizetype = 0, $width = 0, $height = 0, $preview_img = '', $autoplay = 0, $loop = 0 ) {
	global $wpdb;
	$res = $wpdb->update(
	    $wpdb->prefix.'vidprofits_vids',
	    array(
	    	'name' => $name,
	    	'url' => $url,
	    	'sizetype' => intval( $sizetype ),
	    	'width' => intval( $width ),
	    	'height' => intval( $height ),
	    	'preview_img' => $preview_img,
	    	'autoplay' => $autoplay,
	        'doloop' => $loop
	    ),
	    array( 'id' => $video_id ),
	    array(
	    	'%s',
	    	'%s',
	    	'%d',
	    	'%d',
	    	'%d',
	    	'%s',
	    	'%d',
	    	'%d'
	    ),
	    array( '%d' )
	);
	if ( !$res )
	    return 0;
}

function vidprofits_get_videos( $extended = false, $page = 0, $results_per_page = 0 ) {
	global $wpdb;
	$page2 = $page;
	if( $page ) $page--;
	$start = $page*$results_per_page;
	// LIMIT $start,$results_per_page
	$extra_str = '';
	if( $page2 )
		$extra_str = " LIMIT $start,$results_per_page";

	if ($extended)
		return $wpdb->get_results( "SELECT id AS value, name AS text FROM {$wpdb->prefix}vidprofits_vids".$extra_str, 'ARRAY_A' );
	else {
		return $wpdb->get_results( "SELECT * FROM {$wpdb->prefix}vidprofits_vids".$extra_str );
	}
}

function vidprofits_delete_video( $video_id ) {
	global $wpdb;
	$wpdb->query( "DELETE FROM {$wpdb->prefix}vidprofits_actions WHERE video_id = ".intval( $video_id ) );
	return $wpdb->query( "DELETE FROM {$wpdb->prefix}vidprofits_vids WHERE id = ".intval( $video_id ) );
}

function vidprofits_duplicate_video( $video_id, $video_name = 'New Video' ) {
	global $wpdb;
	$video = vidprofits_get_video( $video_id );
	$video_actions = vidprofits_get_video_actions( $video_id );
	$new_video = vidprofits_add_video( $video_name, $video->url, $video->sizetype, $video->width, $video->height, $video->preview_img, $video->autoplay, $video->doloop );
	if( $video_actions ) {
		foreach( $video_actions as $action ) {
			if ($action) {
				$action_details = vidprofits_get_action( $action->id );
				if ( $action_details && ! empty( $action_details ) )
					$new_action = vidprofits_add_action( $new_video, $action_details->type, $action_details->settings );
			}
		}
	}
	// return $wpdb->query( "DELETE FROM {$wpdb->prefix}vidprofits_vids WHERE id = ".intval( $video_id ) );
}

function vidprofits_do_increase_view( $video_id ) {
	global $wpdb;
	if( $video_id )
		$wpdb->query( "UPDATE {$wpdb->prefix}vidprofits_vids SET visualizations = visualizations + 1 WHERE id = ".intval( $video_id ));
}

function vidprofits_do_increase_finished( $video_id ) {
	global $wpdb;
	if( $video_id )
		$wpdb->query( "UPDATE {$wpdb->prefix}vidprofits_vids SET finishes = finishes + 1 WHERE id = ".intval( $video_id ));
}

function vidprofits_get_video_actions( $video_id, $is_campaign = false ) {
	global $wpdb;
	if ( !$video_id )
		return false;
	if( $is_campaign )
		return $wpdb->get_results( "SELECT * FROM {$wpdb->prefix}vidprofits_actions WHERE campaign_id = ".intval( $video_id ) );
	else
		return $wpdb->get_results( "SELECT * FROM {$wpdb->prefix}vidprofits_actions WHERE video_id = ".intval( $video_id ) );
}

function vidprofits_get_video_actions_by_type( $video_id, $type = 0 ) {
	global $wpdb;
	return $wpdb->get_results( "SELECT * FROM {$wpdb->prefix}vidprofits_actions WHERE video_id = ".intval( $video_id )." AND type =".intval( $type ) );
}

function vidprofits_get_action( $action_id = 0 ) {
    if (!$action_id) return 0;
    global $wpdb;
    return $wpdb->get_row( $wpdb->prepare("SELECT * FROM {$wpdb->prefix}vidprofits_actions WHERE id = %d", intval( $action_id ) ) );
}

function vidprofits_add_action( $video_id, $type, $settings, $is_campaign = 0 ) {
	global $wpdb;
	$res = $wpdb->insert(
	    $wpdb->prefix.'vidprofits_actions',
	    array(
	        'video_id' => $is_campaign ? 0 : $video_id,
	        'campaign_id' => $is_campaign ? $video_id : 0,
	        'type' => $type,
	        'settings' => $settings
	    ),
	    array(
	        '%d',
	        '%d',
	        '%d',
	        '%s'
	    )
	);
	if ( $res )
	    return $wpdb->insert_id;
	else
		return 0;
}

function vidprofits_update_action( $action_id, $settings ) {
	global $wpdb;
	/*$res = $wpdb->update(
	    $wpdb->prefix.'vidprofits_actions',
	    array(
	        'settings' => vidprofits_escape_text( $settings )
	    ),
	    array( 'id' => $action_id ),
	    array(
	        '%s'
	    ),
	    array( '%d' )
	);*/
	$sql = "UPDATE {$wpdb->prefix}vidprofits_actions SET settings = '".vidprofits_escape_text( $settings )."' WHERE id = ".intval( $action_id );
	// echo $sql;
	// die();
	$res = $wpdb->query( $sql );
	if ( $res )
	    return $action_id;
	else
		return 0;
}

function vidprofits_delete_action( $action_id ) {
	global $wpdb;
	return $wpdb->query( "DELETE FROM {$wpdb->prefix}vidprofits_actions WHERE id = ".intval( $action_id ) );
}

function vidprofits_get_skins() {
	if( !vidprofits_is_pro() ) {
		return array(
			array('text' => 'Default', 'value' => 0),
			array('text' => 'Skin 1', 'value' => 1),
			array('text' => 'Skin 2', 'value' => 2),
			array('text' => 'Skin 3', 'value' => 3)
		);
	}
	else {
		return array(
			array('text' => 'Default', 'value' => 0),
			array('text' => 'Skin 1', 'value' => 1),
			array('text' => 'Skin 2', 'value' => 2),
			array('text' => 'Skin 3', 'value' => 3),
			array('text' => 'Skin 4', 'value' => 4),
			array('text' => 'Skin 5', 'value' => 5),
			array('text' => 'Skin 6', 'value' => 6),
			array('text' => 'Skin 7', 'value' => 7),
			array('text' => 'Skin 8', 'value' => 8),
			array('text' => 'Skin 9', 'value' => 9),
			array('text' => 'Skin 10', 'value' => 10)
		);
	}
}

function vidprofits_get_frames() {
		return array(
			array('text' => 'Default', 'value' => 0),
			array('text' => 'iMac', 'value' => 1),
			array('text' => 'MacBook', 'value' => 2),
			array('text' => 'iPhone', 'value' => 3),
			array('text' => 'iPad', 'value' => 4),
			array('text' => 'TV', 'value' => 5),
			array('text' => 'Photo Frame', 'value' => 6),
			array('text' => 'Black Frame', 'value' => 7)
		);
}
/* Action Functions */
function vidprofits_get_vactions_showafter() {
	return array(
		array( 'label' => 'On Video Load', 'value' => 1 ),
		array( 'label' => 'Beginning of Video', 'value' => 2 ),
		array( 'label' => 'End of Video', 'value' => 3 ),
		// array( 'label' => 'Middle of Video', 'value' => 4 ),
		array( 'label' => 'After...', 'value' => 5 )
	);
}

function vidprofits_get_vactions_share() {
	return array(
		array('label' => 'Current Post/page', 'value' => 1),
		array('label' => 'Custom URL', 'value' => 2)
	);
}

function vidprofits_get_vactions_socbuttons_styles() {
	return array(
		array('label' => 'Style 1', 'value' => 1),
		array('label' => 'Style 2', 'value' => 2),
		array('label' => 'Style 3', 'value' => 3),
		array('label' => 'Style 4', 'value' => 4),
		array('label' => 'Style 5', 'value' => 5),
		array('label' => 'Style 6', 'value' => 6),
		array('label' => 'Style 7', 'value' => 7),
		array('label' => 'Style 8', 'value' => 8),
		array('label' => 'Style 9', 'value' => 9),
		array('label' => 'Style 10', 'value' => 10)
	);
}

function vidprofits_get_vactions_action_types() {
	$basic_fns = array(
		array('label' => '1. Share Buttons', 'value' => VIDPROFITS_ACTION_SHAREBUTTONS),
		array('label' => '2. Like Boxes', 'value' => VIDPROFITS_ACTION_LIKEUS),
		array('label' => '3. Optin Form', 'value' => VIDPROFITS_ACTION_OPTINFORM),
		array('label' => '4. Call To Action', 'value' => VIDPROFITS_ACTION_CTA),
		array('label' => '5. Banner', 'value' => VIDPROFITS_ACTION_BANNER),
		array('label' => '6. Annotation', 'value' => VIDPROFITS_ACTION_ANNOTATION),
		array('label' => '7. Click to Tweet', 'value' => VIDPROFITS_ACTION_CTTWEET),
		array('label' => '8. Content Below Video', 'value' => VIDPROFITS_ACTION_BELOWVIDEO)
	);

	$pro_fns = array(
		array('label' => '9. Play Video', 'value' => VIDPROFITS_ACTION_PLAYVIDEO),
		array('label' => '10. Click to Call', 'value' => VIDPROFITS_ACTION_CLICKTOCALL),
		array('label' => '11. HTML Content', 'value' => VIDPROFITS_ACTION_HTML),
		array('label' => '12. Amazon Ads', 'value' => VIDPROFITS_ACTION_AMAZON),
		array('label' => '13. Survey', 'value' => VIDPROFITS_ACTION_SURVEY),
		array('label' => '14. URL Redirect', 'value' => VIDPROFITS_ACTION_REDIRECT),
		array('label' => '15. Full Screen', 'value' => VIDPROFITS_ACTION_FULLSCREEN),
		array('label' => '16. Scroll to Video', 'value' => VIDPROFITS_ACTION_SCROLLTOVIDEO),
		array('label' => '17. Small Corner Video', 'value' => VIDPROFITS_ACTION_CORNER)
	);

	if( vidprofits_is_pro() )
		return array_merge( $basic_fns, $pro_fns );
	return $basic_fns;
}

function vidprofits_get_autoresponder_types() {
	return array(
		array('label' => 'Aweber', 'value' => VIDPROFITS_AR_AWEBER),
		array('label' => 'Getresponse', 'value' => VIDPROFITS_AR_GETRESPONSE),
		array('label' => 'Mailchimp', 'value' => VIDPROFITS_AR_MAILCHIMP),
		array('label' => 'Constant Contact', 'value' => VIDPROFITS_AR_CCONTACT),
		array('label' => 'iContact', 'value' => VIDPROFITS_AR_ICONTACT),
		array('label' => 'Sendreach', 'value' => VIDPROFITS_AR_SENDREACH),
		array('label' => 'Mailit Plugin', 'value' => VIDPROFITS_AR_MAILIT),
		array('label' => 'Active Campaign', 'value' => VIDPROFITS_AR_ACTIVECAMPAIGN),
		array('label' => 'Sendlane', 'value' => VIDPROFITS_AR_SENDLANE),
		array('label' => 'Other (HTML Form)', 'value' => VIDPROFITS_AR_OTHER)
	);
}

function vidprofits_get_vactions_ar_styles() {
	return array(
		array('label' => 'Style 1', 'value' => 1),
		array('label' => 'Style 2', 'value' => 2),
		array('label' => 'Style 3', 'value' => 3),
		array('label' => 'Style 4', 'value' => 4),
		array('label' => 'Style 5', 'value' => 5),
		array('label' => 'Style 6', 'value' => 6),
		array('label' => 'Style 7', 'value' => 7),
		array('label' => 'Style 8', 'value' => 8),
		array('label' => 'Style 9', 'value' => 9),
		array('label' => 'Style 10', 'value' => 10)
	);
}

function vidprofits_get_webinar_types() {
	return array(
		array('label' => 'Gotowebinar', 'value' => VIDPROFITS_WEBINAR_GOTOWEBINAR),
		// array('label' => 'Hangout Plugin', 'value' => VIDPROFITS_WEBINAR_HANGOUT),
		array('label' => 'Webinar JEO', 'value' => VIDPROFITS_WEBINAR_WEBINARJEO),
		array('label' => 'Webinar Jam', 'value' => VIDPROFITS_WEBINAR_WEBINARJAM),
		array('label' => 'Webinar Ignition', 'value' => VIDPROFITS_WEBINAR_WEBINARIGINITION)
	);
}

function vidprofits_get_webinars_demo() {
	return array(
		array('label' => 'Webinar 1', 'value' => 1),
		array('label' => 'Webinar 2', 'value' => 1),
		array('label' => 'Webinar 3', 'value' => 1)
	);
}


function vidprofits_get_vactions_cta_styles() {
	return array(
		array('label' => 'Style 1', 'value' => 1),
		array('label' => 'Style 2', 'value' => 2),
		array('label' => 'Style 3', 'value' => 3),
		array('label' => 'Style 4', 'value' => 4),
		array('label' => 'Style 5', 'value' => 5),
		array('label' => 'Style 6', 'value' => 6),
		array('label' => 'Style 7', 'value' => 7),
		array('label' => 'Style 8', 'value' => 8),
		array('label' => 'Style 9', 'value' => 9),
		array('label' => 'Style 10', 'value' => 10),
		array('label' => 'Style 11', 'value' => 11),
		array('label' => 'Style 12', 'value' => 12),
		array('label' => 'Style 13', 'value' => 13),
		array('label' => 'Style 14', 'value' => 14),
		array('label' => 'Style 15', 'value' => 15),
		array('label' => 'Style 16', 'value' => 16),
		array('label' => 'Style 17', 'value' => 17),
		array('label' => 'Style 18', 'value' => 18),
		array('label' => 'Style 19', 'value' => 19),
		array('label' => 'Style 20', 'value' => 20)
	);
}

function vidprofits_get_vactions_optin_styles() {
	return array(
		array('label' => 'Style 1', 'value' => 1),
		array('label' => 'Style 2', 'value' => 2)
	);
}

function vidprofits_get_element_positions() {
	return array(
		array('label' => 'Top Left', 'value' => 1),
		array('label' => 'Top Center', 'value' => 2),
		array('label' => 'Top Right', 'value' => 3),
		array('label' => 'Center Left', 'value' => 4),
		array('label' => 'Center Center', 'value' => 5),
		array('label' => 'Center Right', 'value' => 6),
		array('label' => 'Bottom Left', 'value' => 7),
		array('label' => 'Bottom Center', 'value' => 8),
		array('label' => 'Bottom Right', 'value' => 9)
	);
}


function vidprofits_get_size_types() {
	return array(
		array('label' => 'Responsive (100% width)', 'value' => 0),
		array('label' => 'Fixed Size', 'value' => 1)
	);
}


function vidprofits_get_corner_positions() {
	return array(
		array('label' => 'Top Left', 'value' => 1),
		array('label' => 'Top Right', 'value' => 2),
		array('label' => 'Bottom Left', 'value' => 3),
		array('label' => 'Bottom Right', 'value' => 4)
	);
}

function vidprofits_get_amazon_cats() {
	return array(
		array( 'label' => 'All', 'value' => 'All'),
		array( 'label' => 'Apparel & Accessories', 'value' => 'Apparel'),
		// array( 'label' => 'Appstore for Android', 'value' => 'Appstore for Android'),
		array( 'label' => 'Arts, Crafts & Sewing', 'value' => 'ArtsAndCrafts'),
		array( 'label' => 'Automotive', 'value' => 'Automotive'),
		array( 'label' => 'Baby', 'value' => 'Baby'),
		array( 'label' => 'Beauty', 'value' => 'Beauty'),
		// array( 'label' => 'Black Friday Sales', 'value' => 'Black Friday Sales'),
		array( 'label' => 'Books', 'value' => 'Books'),
		array( 'label' => 'Camera & Photo', 'value' => 'Photo'),
		// array( 'label' => 'Car Toys', 'value' => 'Car Toys'),
		array( 'label' => 'Cell Phones & Accessories', 'value' => 'Wireless'),
		array( 'label' => 'Computer & Video Games', 'value' => 'VideoGames'),
		// array( 'label' => 'Computers', 'value' => 'Computers'),
		array( 'label' => 'Electronics', 'value' => 'Electronics'),
		array( 'label' => 'Grocery & Gourmet Food', 'value' => 'Grocery'),
		array( 'label' => 'Health & Personal Care', 'value' => 'HealthPersonalCare'),
		array( 'label' => 'Home & Garden', 'value' => 'Garden'),
		array( 'label' => 'Industrial & Scientific', 'value' => 'Industrial'),
		array( 'label' => 'Jewelry', 'value' => 'Jewelry'),
		array( 'label' => 'Kindle Store', 'value' => 'KindleStore'),
		array( 'label' => 'Kitchen & Housewares', 'value' => 'Kitchen'),
		array( 'label' => 'Magazine Subscriptions', 'value' => 'Magazines'),
		array( 'label' => 'Miscellaneous', 'value' => 'Miscellaneous'),
		array( 'label' => 'Movies & TV', 'value' => 'Movies'),
		array( 'label' => 'MP3 Downloads', 'value' => 'MP3Downloads'),
		array( 'label' => 'Music', 'value' => 'Music'),
		array( 'label' => 'Musical Instruments', 'value' => 'MusicalInstruments'),
		array( 'label' => 'Office Products', 'value' => 'OfficeProducts'),
		array( 'label' => 'Outdoor Living', 'value' => 'OutdoorLiving'),
		// array( 'label' => 'Pet Supplies', 'value' => 'PetSupplies'),
		array( 'label' => 'Pet Supplies', 'value' => 'PetSupplies'),
		array( 'label' => 'PC Hardware', 'value' => 'PCHardware'),
		array( 'label' => 'Shoes', 'value' => 'Shoes'),
		array( 'label' => 'Software', 'value' => 'Software'),
		// array( 'label' => 'Specialty Stores', 'value' => 'Specialty Stores'),
		array( 'label' => 'Sports & Outdoors', 'value' => 'SportingGoods'),
		array( 'label' => 'Tools & Hardware', 'value' => 'Tools'),
		array( 'label' => 'Toys and Games', 'value' => 'Toys'),
		array( 'label' => 'Wine', 'value' => 'Wine')
		// array( 'label' => 'Warehouse Deals', 'value' => 'Warehouse Deals')
	);
}

function vidprofits_get_amazon_countries() {
	// private $LOCATIONS = array ('ca','com','cn', 'co.jp', 'co.uk','fr',
	//                             'it','cn');
	return array(
		array( 'label' => 'USA', 'value' => 'com'),
		array( 'label' => 'Canada', 'value' => 'ca'),
		array( 'label' => 'UK', 'value' => 'co.uk'),
		array( 'label' => 'Germany', 'value' => 'de'),
		array( 'label' => 'France', 'value' => 'fr'),
		array( 'label' => 'Italy', 'value' => 'it'),
		array( 'label' => 'Spain', 'value' => 'es'),
		array( 'label' => 'Japan', 'value' => 'co.jp'),
		array( 'label' => 'India', 'value' => 'in')
	);
}
function vidprofits_get_entry_animations() {
	return array(
		array( 'label' => 'Entries', 'value' => 'optgroup'),
		array( 'label' => 'Bounce In', 'value' => 'bounceIn'),
		array( 'label' => 'Bounce In Down', 'value' => 'bounceInDown'),
		array( 'label' => 'Bounce In Left', 'value' => 'bounceInLeft'),
		array( 'label' => 'Bounce In Right', 'value' => 'bounceInRight'),
		array( 'label' => 'Bounce In Up', 'value' => 'bounceInUp'),
		array( 'label' => 'Fade In', 'value' => 'fadeIn'),
		array( 'label' => 'Fade In Down', 'value' => 'fadeInDown'),
		array( 'label' => 'Fade In Left', 'value' => 'fadeInLeft'),
		array( 'label' => 'Fade In Right', 'value' => 'fadeInRight'),
		array( 'label' => 'Fade In Up', 'value' => 'fadeInUp'),
		array( 'label' => 'Rotate In', 'value' => 'rotateIn'),
		array( 'label' => 'Rotate In Down Left', 'value' => 'rotateInDownLeft'),
		array( 'label' => 'Rotate In Down Right', 'value' => 'rotateInDownRight'),
		array( 'label' => 'Rotate In Up Left', 'value' => 'rotateInUpLeft'),
		array( 'label' => 'Rotate In Up Right', 'value' => 'rotateInUpRight'),
		array( 'label' => 'Slide In Down', 'value' => 'slideInDown'),
		array( 'label' => 'Slide In Left', 'value' => 'slideInLeft'),
		array( 'label' => 'Slide In Right', 'value' => 'slideInRight'),
		array( 'label' => 'Slide In Up', 'value' => 'slideInUp'),
		array( 'label' => 'Zoom In', 'value' => 'zoomIn'),
		array( 'label' => 'Zoom In Down', 'value' => 'zoomInDown'),
		array( 'label' => 'Zoom In Left', 'value' => 'zoomInLeft'),
		array( 'label' => 'Zoom In Right', 'value' => 'zoomInRight'),
		array( 'label' => 'Zoom In Up', 'value' => 'zoomInUp'),
		array( 'label' => 'Light Speed In', 'value' => 'lightSpeedIn'),
		array( 'label' => 'optgroup', 'value' => 'optgroupclose'),
		array( 'label' => 'Attention Grabbers', 'value' => 'optgroup'),
		array( 'label' => 'Bounce', 'value' => 'bounce'),
		array( 'label' => 'Flash', 'value' => 'flash'),
		array( 'label' => 'Pulse', 'value' => 'pulse'),
		array( 'label' => 'Rubber Band', 'value' => 'rubberBand'),
		array( 'label' => 'Shake', 'value' => 'shake'),
		array( 'label' => 'Swing', 'value' => 'swing'),
		array( 'label' => 'Tada', 'value' => 'tada'),
		array( 'label' => 'Wobble', 'value' => 'wobble'),
		array( 'label' => 'Jello', 'value' => 'jello')
	);
}

function vidprofits_get_exit_animations() {
	return array(
		array( 'label' => 'Bounce Out', 'value' => 'bounceOut'),
		array( 'label' => 'Bounce Out Down', 'value' => 'bounceOutDown'),
		array( 'label' => 'Bounce Out Left', 'value' => 'bounceOutLeft'),
		array( 'label' => 'Bounce Out Right', 'value' => 'bounceOutRight'),
		array( 'label' => 'Bounce Out Up', 'value' => 'bounceOutUp'),
		array( 'label' => 'Fade Out', 'value' => 'fadeOut'),
		array( 'label' => 'Fade Out Down', 'value' => 'fadeOutDown'),
		array( 'label' => 'Fade Out Left', 'value' => 'fadeOutLeft'),
		array( 'label' => 'Fade Out Right', 'value' => 'fadeOutRight'),
		array( 'label' => 'Fade Out Up', 'value' => 'fadeOutUp'),
		array( 'label' => 'Rotate Out', 'value' => 'rotateOut'),
		array( 'label' => 'Rotate Out Down Left', 'value' => 'rotateOutDownRight'),
		array( 'label' => 'Rotate Out Down Right', 'value' => 'rotateOutDownRight'),
		array( 'label' => 'Rotate Out Up Left', 'value' => 'rotateOutUpLeft'),
		array( 'label' => 'Rotate Out Up Right', 'value' => 'rotateOutUpRight'),
		array( 'label' => 'Slide Out Down', 'value' => 'slideOutDown'),
		array( 'label' => 'Slide Out Left', 'value' => 'slideOutLeft'),
		array( 'label' => 'Slide Out Right', 'value' => 'slideOutRight'),
		array( 'label' => 'Slide Out Up', 'value' => 'slideOutUp'),
		array( 'label' => 'Zoom Out', 'value' => 'zoomOut'),
		array( 'label' => 'Zoom Out Down', 'value' => 'zoomOutDown'),
		array( 'label' => 'Zoom Out Left', 'value' => 'zoomOutLeft'),
		array( 'label' => 'Zoom Out Right', 'value' => 'zoomOutRight'),
		array( 'label' => 'Zoom Out Up', 'value' => 'zoomOutUp')
	);
}

function vidprofits_escape_input_txt( $text ) {
	return htmlentities( $text, ENT_QUOTES, 'UTF-8' );
}

function vidprofits_strip_magic_slashes( $str )
{
	if( is_array( $str ) ) {
		return vidprofits_array_map_recursive( 'vidprofits_stripslashes', $str);
	}
	else
		return get_magic_quotes_gpc() ? vidprofits_stripslashes( $str ) : $str;
}

function vidprofits_stripslashes( $str ) {
	return stripslashes( $str );
}

function vidprofits_strip_magic_slashes_all( $str )
{
	return str_replace( array("\'", '\"'), array("'", '"'), $str );
    return get_magic_quotes_gpc() ? stripslashes($str) : $str;
}

function vidprofits_array_map_recursive(/*callable*/ $func, array $array) {
    return filter_var($array, \FILTER_CALLBACK, array( 'options' => $func ) );
}

/*function vidprofits_array_map_recursive($f, $xs) {
    $out = [];
    foreach ($xs as $k => $x) {
        $out[$k] = (is_array($x)) ? array_map_recursive($f, $x) : $f($x);
    }
    return $out;
}*/

function vidprofits_escape_jsonstr($value) {
    # list from www.json.org: (\b backspace, \f formfeed)    
    $escapers =     array("\\",     "/",   "\"",  "\n",  "\r",  "\t", "\x08", "\x0c", "'");
    $replacements = array("\\\\", "\\/", "\\\"", "\\n", "\\r", "\\t",  "\\f",  "\\b", "\\'");
    $result = str_replace($escapers, $replacements, $value);
    return $result;
}


function vidprofits_raw_json_encode($input) {
	if (version_compare(PHP_VERSION, '5.3.0') >= 0) {
	    return preg_replace_callback(
	        '/\\\\u([0-9a-zA-Z]{4})/',
	        function ($matches) {
	            return mb_convert_encoding(pack('H*',$matches[1]),'UTF-8','UTF-16');
	        },
	        json_encode($input, JSON_HEX_APOS)
	    );
	}
	else {
		return preg_replace_callback(
		    '/\\\\u([0-9a-zA-Z]{4})/',
		    'vidprofits_anon_encode',
		    json_encode($input, JSON_HEX_APOS)
		);
	}
}

function vidprofits_anon_encode( $matches ) {
        return mb_convert_encoding(pack('H*',$matches[1]),'UTF-8','UTF-16');
}

function vidprofits_escape_text( $text, $do_utf = false ) {
	global $wpdb;
	return esc_sql( $text );
	// return $text;
	// return $wpdb->escape( $text );
}

function vidprofits_encode_quotes( $settings ) {
	$array_ret = array();
	foreach( $settings as $key => $setting ) {
		$array_ret[$key] = htmlspecialchars( $setting );
	}
	return $array_ret;
}

function vidprofits_get_default_options() {
	return array(
		'video' => array(),
		'social' => array(
			'facebook' => '',
			'twitter' => '',
			'googleplus' => '',
			'instagram' => '',
			'pinterest' => ''
		),
		'amazon' => array(),
		'youtube' => array()
		);
}


/* Leads */

function vidprofits_get_leads( $page = 0, $results_per_page = 30, $search = false ) {
	global $wpdb;
	if ($page) $page--;
	$start = $page*$results_per_page;
	if( $search ) {
		return $wpdb->get_results( "SELECT *, DATE_FORMAT(date_added,'%d %b %Y %T') as date_f FROM {$wpdb->prefix}vidprofits_leads WHERE name like '%$search%' OR email like '%$search%' LIMIT $start,$results_per_page" );
	}

	return $wpdb->get_results( "SELECT *, DATE_FORMAT(date_added,'%d %b %Y %T') as date_f FROM {$wpdb->prefix}vidprofits_leads LIMIT $start,$results_per_page" );
}

function vidprofits_get_total_leads( $search = false ) {
	global $wpdb;
	if( $search )
		return $wpdb->get_var( "SELECT count(*) FROM {$wpdb->prefix}vidprofits_leads WHERE name like '%$search%' OR email like '%$search%'" );
	return $wpdb->get_var( "SELECT count(*) FROM {$wpdb->prefix}vidprofits_leads" );
}
function vidprofits_get_all_leads( ) {
	global $wpdb;
	return $wpdb->get_results( "SELECT email, name, DATE_FORMAT(date_added,'%d %b %Y %T') as date_f FROM {$wpdb->prefix}vidprofits_leads", 'ARRAY_A' );
}

function vidprofits_add_lead( $email, $name = '' ) {
	global $wpdb;
	$res = $wpdb->insert(
	    $wpdb->prefix.'vidprofits_leads',
	    array(
	        'email' => $email,
	        'name' => $name
	    ),
	    array(
	        '%s',
	        '%s'
	    )
	);
	if ( $res )
	    return $wpdb->insert_id;
	else
		return 0;
}

function vidprofits_delete_lead( $lead_id ) {
	global $wpdb;
	if( $lead_id )
		$wpdb->query( "DELETE FROM {$wpdb->prefix}vidprofits_leads WHERE id = ".intval( $lead_id ) );
}
?>