<?php

function vidprofits_check_upgrade_db() { 
	if ( !get_option('vidprofits_version', 0))  {
		// we assume we are on 1.0
	}
	else {
		if ( get_option('vidprofits_version') == 1.11 ) {
		//do nothing for now
			global $wpdb;
			$wpdb->query("ALTER TABLE {$wpdb->prefix}vidprofits_vids ADD sizetype TINYINT NOT NULL DEFAULT '0' AFTER url;");
		}

	} 

	update_option('vidprofits_version', VIDPROFITS_VERSION);


}
add_action('admin_init', 'vidprofits_check_upgrade_db'); 


function vidprofits_activate( $network_wide )
{
	if ( is_multisite() && $network_wide ) {
			global $wpdb;

	        // store the current blog id
	        $current_blog = $wpdb->blogid;

	        // Get all blogs in the network and activate plugin on each one
	        $blog_ids = $wpdb->get_col( "SELECT blog_id FROM $wpdb->blogs" );
	        foreach ( $blog_ids as $blog_id ) {
	            switch_to_blog( $blog_id );
				vidprofits_create_db_tables();
	            restore_current_blog();
	        }
	    } else {
			vidprofits_create_db_tables();
	    }

	// die('activated');
	return;
	// vidprofits_create_db_tables();
	// return;
}

function vidprofits_deactivate() {
	return;
}


// Creating table whenever a new blog is created
function vidprofits_on_create_blog( $blog_id, $user_id, $domain, $path, $site_id, $meta ) {
    if ( is_plugin_active_for_network( 'wp-video-profits/wp-video-profits.php' ) ) {
        switch_to_blog( $blog_id );
        vidprofits_create_db_tables();
        restore_current_blog();
    }
}
add_action( 'wpmu_new_blog', 'vidprofits_on_create_blog', 10, 6 );


// Deleting the table whenever a blog is deleted
function vidprofits_on_delete_blog( $tables ) {
    global $wpdb;
    $tables = array( 'vidprofits_actions', 'vidprofits_vids', 'vidprofits_leads' );
    foreach ($tables as $table)
	    $tables[] = $wpdb->prefix . $table;
    return $tables;
}
add_filter( 'wpmu_drop_tables', 'vidprofits_on_delete_blog' );

add_filter( 'plugin_action_links_' . VIDPROFITS_PLUGIN_NAME.'/'.VIDPROFITS_PLUGIN_NAME.'.php', 'vidprofits_add_plugin_action_links' );
function vidprofits_add_plugin_action_links( $links ) {
	$vidprofits_options = array(
			'Support' => '<a target="_blank" href="http://support.kudosinteractive.com">Support</a>'
	);

	if( !vidprofits_is_pro() ) {
		$vidprofits_options = array_merge( $vidprofits_options, 
			array(
							'Upgrade to Pro' => '<a target="_blank" href="http://wpvideoprofits.com/members/upgrades/pro.php" style="font-weight:bold;color:red">Upgrade to Video Profits Pro!</a>'
				)
			);
	}
	else {
		if( !vidprofits_is_importer() ) {
			$vidprofits_options = array_merge( $vidprofits_options, 
				array(
								'Get the Auto Importer' => '<a target="_blank" href="http://wpvideoprofits.com/members/upgrades/importer.php" style="color:red;font-weight:bold">Get the Auto Importer</a>'
					)
				);
		} else {
			$vidprofits_options = array_merge( $vidprofits_options, 
				array(
								'Get the Auto Importer' => '<a target="_blank" href="http://wpvideoprofits.com/members/upgrades/theme.php" style="color:red;font-weight:bold">Get the VideoProfits Theme</a>'
					)
				);
		}
	}

	return array_merge(
		$links,
		$vidprofits_options
	);
}

function vidprofits_site_url() {
  $protocol = ((!empty($_SERVER['HTTPS']) && $_SERVER['HTTPS'] != 'off') || 
    $_SERVER['SERVER_PORT'] == 443) ? "https://" : "http://";
  $domainName = $_SERVER['HTTP_HOST'];
  return $protocol.$domainName;
}

function vidprofits_input_value( $objeto, $propiedad, $echo_val = false ) {
	if ( !$objeto ) return '';
	if ( isset( $objeto->{$propiedad} ) ) {
		if ( $echo_val ) echo vidprofits_escape_input_txt( $objeto->{$propiedad} );
		return /*vidprofits_escape_input_txt(*/ $objeto->{$propiedad} /*)*/;
	}
	return '';
}


function vidprofits_get_plugin_options($option = 0) {
	$plugin_options = get_option('vidprofits_options', false);
	// echo '<pre>';
	// print_r($plugin_options);
	// echo '</pre>';
	if( !$plugin_options )
		$plugin_options = vidprofits_get_default_options();
	if ($option)
		return $plugin_options->{$option};
	else
		return $plugin_options;
}

function vidprofits_update_plugin_options($options, $option = 0) {
	return update_option('vidprofits_options', $options);
}

function vidprofits_is_plugin_there($plugin_dir) {
	$plugins = get_plugins($plugin_dir);
	if ($plugins) return true;
	return false;
}


function vidprofits_create_db_tables() {
	/** create MySQL tables **/
	global $wpdb;
	$sql = "CREATE TABLE IF NOT EXISTS {$wpdb->prefix}vidprofits_actions (
		id int(11) NOT NULL AUTO_INCREMENT,
		video_id int(11) NOT NULL,
  		campaign_id int(11) NOT NULL DEFAULT '0',
		type tinyint(4) NOT NULL,
		settings text NULL,
	  	PRIMARY KEY (id)
		) ENGINE=InnoDB  DEFAULT CHARSET=utf8;";
	// die($sql);

	$wpdb->query($sql);

	$sql = "CREATE TABLE IF NOT EXISTS {$wpdb->prefix}vidprofits_vids (
		id int(11) NOT NULL AUTO_INCREMENT,
		name varchar(256) NOT NULL,
		url varchar(256) NOT NULL,
		sizetype TINYINT(4) NOT NULL DEFAULT '0',
		width smallint(8) NOT NULL,
		height smallint(8) NOT NULL,
		preview_img varchar(256) CHARACTER SET utf8 NOT NULL,
		autoplay tinyint(4) NOT NULL DEFAULT 0,
		doloop tinyint(4) NOT NULL DEFAULT 0,
		visualizations int(11) NOT NULL DEFAULT 0,
  		finishes int(11) NOT NULL DEFAULT '0',
	  	PRIMARY KEY (id)
		) ENGINE=InnoDB  DEFAULT CHARSET=utf8;";
	$wpdb->query($sql);

	$sql = "CREATE TABLE IF NOT EXISTS {$wpdb->prefix}vidprofits_leads (
		id int(11) NOT NULL AUTO_INCREMENT,
		email varchar(256) NOT NULL,
		name varchar(256) DEFAULT NULL,
		date_added datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
	  	PRIMARY KEY (id)
		) ENGINE=InnoDB  DEFAULT CHARSET=utf8;";

	$wpdb->query($sql);

	return 1;
}

function vidprofits_build_query(array $params, $sep = '&')
{
    $parts = array();
    foreach ($params as $key => $value) {
        $parts[] = sprintf('%s=%s', $key, rawurlencode($value));
    }

    return implode($sep, $parts);
}

function vidprofits_upgrade_notice() {
?>
<div class="row">
	<div class="col-lg-12">
		<div class="alert alert-success alert-dismissible" role="alert">
		  <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
		  <?php if( !vidprofits_is_pro() ) { ?>
		  <i class="fa fa-star"></i> Upgrade to <a style="text-decoration:underline" href="http://wpvideoprofits.com/members/upgrades/pro.php" target="_blank">VideoProfits Pro</a> and get More Video Actions (Video Ads, Amazon Ads, Surveys, and many more), extra video skins, players, and much more! <a style="text-decoration:underline" href="http://wpvideoprofits.com/members/upgrades/pro.php" target="_blank">Click here to get it</a>
		  <?php } else if( !vidprofits_is_importer() ) { ?>
		  <i class="fa fa-star"></i> Get the <a style="text-decoration:underline" href="http://wpvideoprofits.com/members/upgrades/importer.php" target="_blank">VideoProfits Auto Importer</a> and Build Yourself FULLY AUTOPILOT Video Sites That Keep Growing & Get You More Leads, Sales & Commissions <a style="text-decoration:underline" href="http://wpvideoprofits.com/members/upgrades/importer.php" target="_blank">Click here to get it</a>
		  <?php } else { ?>
		  <i class="fa fa-star"></i> Get the <a style="text-decoration:underline" href="http://wpvideoprofits.com/members/upgrades/theme.php" target="_blank">VideoProfits Theme</a> and Create Mobile Friendly+Profitable Video Sites That Look Amazing <a style="text-decoration:underline" href="http://wpvideoprofits.com/members/upgrades/theme.php" target="_blank">Click here to get it</a>
		  <?php } ?>
		</div>
	</div>
</div>
<?php
}

function vidprofits_is_importer() {
	return function_exists( 'vidprofits_get_import_settings' );
}

function vidprofits_is_pro() {
	return true;
	return false;
}

?>