<?php
define ('VIDPROFITS_ACTION_SHAREBUTTONS', 1);
define ('VIDPROFITS_ACTION_OPTINFORM', 2);
define ('VIDPROFITS_ACTION_CTA', 3);
define ('VIDPROFITS_ACTION_BANNER', 4);
define ('VIDPROFITS_ACTION_LIKEUS', 5);
define ('VIDPROFITS_ACTION_BELOWVIDEO', 6);
define ('VIDPROFITS_ACTION_PLAYVIDEO', 7);
define ('VIDPROFITS_ACTION_ANNOTATION', 8);
define ('VIDPROFITS_ACTION_HTML', 9);
define ('VIDPROFITS_ACTION_CLICKTOCALL', 10);
define ('VIDPROFITS_ACTION_AMAZON', 11);
define ('VIDPROFITS_ACTION_SURVEY', 12);
define ('VIDPROFITS_ACTION_CTTWEET', 13);
define ('VIDPROFITS_ACTION_REDIRECT', 14);
define ('VIDPROFITS_ACTION_FULLSCREEN', 15);
define ('VIDPROFITS_ACTION_SCROLLTOVIDEO', 16);
define ('VIDPROFITS_ACTION_CORNER', 17);



function vidprofits_video_actions( $video_id, $is_campaign = false ) {
	$actions = vidprofits_get_video_actions( $video_id, $is_campaign );
	if ( $actions ) {
		$i = 0;
		foreach ( $actions as $action ) {
			vidprofits_print_action ( $action, $i++ );
		}
	}
}

function vidprofits_update_amazon_data( $keyword, $category = 'All' ) {
		try 
		{
			$plugin_options = vidprofits_get_plugin_options();
			$amazon_settings = $plugin_options['amazon'];
// var_dump($amazon_settings);
// die();
			// $settings->amazon_key = $amazon_settings['amazon_key'];
			// $settings->amazon_secret = $amazon_settings['amazon_secret'];
			// $settings->amazon_tag = $amazon_settings['amazon_tag'];
			$country = isset( $amazon_settings['amazon_country'] ) && !empty( $amazon_settings['amazon_country'] ) ? $amazon_settings['amazon_country'] : 'com';

		    $request = new AmazonProductRequestVP($amazon_settings['amazon_key'], $amazon_settings['amazon_tag'], 
		                                        $amazon_settings['amazon_secret'], $country);


		    /* Set our response to array format. */
		    $request->setConfigResponseFormat('array');
		    $request->setConfigDelay(true);

		    $response = $request->resetParams()
		        ->setResponseGroup('Medium')
		        ->setItemPage(1)
		        ->setSearchIndex($category)
		        ->itemSearch( $keyword );
		    $products = vidprofits_extract_products( $response );
		    return $products;
	        // echo '<pre>';
		    // print_r($products);
		    // echo '</pre>';
		    // die();
	    }
	    catch (Exception $e)
	    {
	        print $e->getMessage();
	        return false;
	        die();
	    }
}

function vidprofits_extract_products( $response ) {
	if( !$response ) return '';
	$array_ret = array();
	if( isset( $response['Items']['Item'] ) ) {
		foreach( $response['Items']['Item'] as $item ) {
			// var_dump($item['ItemAttributes']);
			$price = isset( $item['ItemAttributes']['ListPrice']['FormattedPrice'] ) ? $item['ItemAttributes']['ListPrice']['FormattedPrice'] : '';
			$discount_price = isset( $item['OfferSummary']['LowestNewPrice']['FormattedPrice'] ) ? $item['OfferSummary']['LowestNewPrice']['FormattedPrice'] : '';
			$array_ret[] = array(
				'name' => vidprofits_escape_input_txt( $item['ItemAttributes']['Title'] ),
				'price' =>  $price,
				'discount_price' =>  $discount_price,
				'image' => $item['MediumImage']['URL'],
				'url' => ( isset( $item['DetailPageURL'] ) && !empty( $item['DetailPageURL'] ) ) ? rawurlencode( $item['DetailPageURL'] ) : ''
				);
		}
	}
	return $array_ret;
}

function vidprofits_update_video_actions( $video_id, $actions, $is_campaign = false ) {
	if( !$actions ) return;
	foreach ( $actions as $action ) {
		$action = vidprofits_array_map_recursive('htmlspecialchars', $action);
		if ($action['action'] == 0) {
			// add
			if( $action['type'] == VIDPROFITS_ACTION_AMAZON ) {
				$keyword = $action['settings']['keyword'];
				$category = $action['settings']['category'];
				$products = vidprofits_update_amazon_data( $keyword, $category );
				$action['settings']['amazon_prods'] = $products;
			}

			if  (isset ( $action['settings']['html'] ) ) {
				/*$action['settings']['html'] = nl2br(html_entity_decode(htmlentities($action['settings']['html'], ENT_QUOTES, 'UTF-8')));
				$action['settings']['html'] = str_replace( "\r\n", '', $action['settings']['html']);*/

				$action['settings']['html'] = html_entity_decode(htmlentities($action['settings']['html'], ENT_QUOTES, 'UTF-8'));
				// $action['settings']['html'] = str_replace( "\r\n", '', $action['settings']['html']);

			}
			if  (isset ( $action['settings']['ar_html_code'] ) ) {
				// $action['settings']['ar_html_code'] = str_replace( "\r\n", '', $action['settings']['ar_html_code']);
				$action['settings']['ar_html_code'] = html_entity_decode(htmlentities($action['settings']['ar_html_code'], ENT_QUOTES, 'UTF-8'));
			}

			
			$settings = vidprofits_raw_json_encode( $action['settings'] );
			vidprofits_add_action( $video_id, $action['type'], $settings, $is_campaign );
		}

		else if ($action['action'] == 1) {
			// update
			// var_dump($action['settings']);
			// die();
			// var_dump($action['settings']);

			if( $action['type'] == VIDPROFITS_ACTION_AMAZON ) {
				$keyword = $action['settings']['keyword'];
				$category = $action['settings']['category'];
				$products = vidprofits_update_amazon_data( $keyword, $category );
				$action['settings']['amazon_prods'] = $products;
			}
			// var_dump($action['settings']);
			// die();
			// $action['settings'] = vidprofits_encode_quotes( $action['settings'] );
			/*if  (isset ( $action['settings']['button_label'] ) ) {
				// var_dump($action['settings']['button_label']);
				$action['settings']['button_label'] = htmlspecialchars($action['settings']['button_label'], ENT_QUOTES, 'UTF-8');
				// htmlspecialchars($_POST['custom_button_text'], ENT_QUOTES, 'UTF-8'));
				// var_dump($action['settings']['button_label']);
				// die();
			}*/
			// $action
			// htmlspecialchars

			if  (isset ( $action['settings']['html'] ) ) {
				/*$action['settings']['html'] = nl2br(html_entity_decode(htmlentities($action['settings']['html'], ENT_QUOTES, 'UTF-8')));
				$action['settings']['html'] = str_replace( "\r\n", '', $action['settings']['html']);*/

				$action['settings']['html'] = html_entity_decode(htmlentities($action['settings']['html'], ENT_QUOTES, 'UTF-8'));
				// $action['settings']['html'] = str_replace( "\r\n", '', $action['settings']['html']);
			}

			if  (isset ( $action['settings']['ar_html_code'] ) ) {
				$action['settings']['ar_html_code'] = html_entity_decode(htmlentities($action['settings']['ar_html_code'], ENT_QUOTES, 'UTF-8'));
			}
			// var_dump($action['settings']);
			$settings = vidprofits_raw_json_encode( $action['settings'] );
			// var_dump($settings);
			// $settings = json_encode( $action['settings'] );

			// $settings = htmlspecialchars(json_encode($action['settings']), ENT_QUOTES, 'UTF-8');
			vidprofits_update_action( $action['id'], $settings );
		}

		else if ($action['action'] == 2) {
			// remove
			$action_id = $action['id'];
			vidprofits_delete_action( $action_id );
		}
	}
}


function vidprofits_print_action ( $action, $num ) {
	// var_dump($action);
	switch( $action->type ) {
		case VIDPROFITS_ACTION_SHAREBUTTONS:
			return vidprofits_print_action_sharebuttons( $action, $num );
			break;
		case VIDPROFITS_ACTION_OPTINFORM:
			return vidprofits_print_action_optinform( $action, $num );
			break;
		case VIDPROFITS_ACTION_CTA:
			return vidprofits_print_action_cta( $action, $num );
			break;
		case VIDPROFITS_ACTION_BANNER:
			return vidprofits_print_action_banner( $action, $num );
			break;
		case VIDPROFITS_ACTION_PLAYVIDEO:
			return vidprofits_print_action_video( $action, $num );
			break;
		case VIDPROFITS_ACTION_LIKEUS:
			return vidprofits_print_action_likeus( $action, $num );
			break;
		case VIDPROFITS_ACTION_ANNOTATION:
			return vidprofits_print_action_annotation( $action, $num );
			break;
		case VIDPROFITS_ACTION_HTML:
			return vidprofits_print_action_html( $action, $num );
			break;
		case VIDPROFITS_ACTION_CLICKTOCALL:
			return vidprofits_print_action_ctocall( $action, $num );
			break;
		case VIDPROFITS_ACTION_AMAZON:
			return vidprofits_print_action_amazon( $action, $num );
			break;
		case VIDPROFITS_ACTION_CTTWEET:
			return vidprofits_print_action_cttweet( $action, $num );
			break;
		case VIDPROFITS_ACTION_BELOWVIDEO:
			return vidprofits_print_action_belowvideo( $action, $num );
			break;
		case VIDPROFITS_ACTION_REDIRECT:
			return vidprofits_print_action_redirect( $action, $num );
			break;
		case VIDPROFITS_ACTION_SURVEY:
			return vidprofits_print_action_survey( $action, $num );
			break;
		case VIDPROFITS_ACTION_FULLSCREEN:
			return vidprofits_print_action_fullscreen( $action, $num );
			break;
		case VIDPROFITS_ACTION_SCROLLTOVIDEO:
			return vidprofits_print_action_scrolltovid( $action, $num );
			break;
		case VIDPROFITS_ACTION_CORNER:
			return vidprofits_print_action_corner( $action, $num );
			break;
		default:
			echo 'Unknown action type';
			break;
	}
}

/* Common elements */

function vidprofits_print_action_header( $action, $num ) {
?>
	<div class="row vidprofits-action" data-action-id="<?php echo $action->id;?>" data-action-num="<?php echo $num;?>">
		<div class="col-lg-12">
		<div class="panel panel-primary">
		  <div class="panel-heading">
		  	<?php vidprofits_print_action_title( $action->type, $num ); ?>
		  	<a href="#" class="btn btn-xs btn-danger pull-right vidprofits-remove-action"><i class="fa fa-remove"></i></a>
		  	<span class="pull-right">&nbsp;&nbsp;</span>
		  	<a href="#" class="btn btn-default btn-xs pull-right vidprofits-clickable"><i class="fa fa-chevron-up"></i></a>

		  </div>
		  <div class="panel-body">
			<div class="form-horizontal">
<?php
			vidprofits_hidden_field( 'vkaction['.$num.'][action]', ( $action->id ? 1 : 0 ), 'vidprofits_action_action');
			vidprofits_hidden_field( 'vkaction['.$num.'][type]', $action->type );
			vidprofits_hidden_field( 'vkaction['.$num.'][id]', $action->id );
}

function vidprofits_print_action_footer( $action ) {
?>
				</div>
			</div>
		</div>
	</div>
</div>
<?php
}

function vidprofits_print_action_title( $type, $num = 0 ) {
	// echo '<b>'.$num.'.</b>'.vidprofits_action_title( $type );
	echo vidprofits_action_title( $type, $num );
}

function vidprofits_action_title( $type, $num = 0 ) {
	$str_ret = '';
	switch( $type ) {
		case VIDPROFITS_ACTION_SHAREBUTTONS:
			$str_ret =  '<i class="fa fa-share"></i> Social Buttons';
			break;
		case VIDPROFITS_ACTION_OPTINFORM:
			$str_ret =  '<i class="fa fa-envelope"></i> Optin Form';
			break;
		case VIDPROFITS_ACTION_CTA:
			$str_ret =  '<i class="fa fa-exclamation-triangle"></i> CTA';
			break;
		case VIDPROFITS_ACTION_BANNER:
			$str_ret =  '<i class="fa fa-minus-square-o"></i> Banner';
			break;
		case VIDPROFITS_ACTION_PLAYVIDEO:
			$str_ret =  '<i class="fa fa-youtube-play"></i> Play Video';
			break;
		case VIDPROFITS_ACTION_LIKEUS:
			$str_ret =  '<i class="fa fa-facebook"></i> Like Us';
			break;
		case VIDPROFITS_ACTION_ANNOTATION:
			$str_ret =  '<i class="fa fa-file-text"></i> Annotation';
			break;
		case VIDPROFITS_ACTION_HTML:
			$str_ret =  '<i class="fa fa-code"></i> HTML';
			break;
		case VIDPROFITS_ACTION_CLICKTOCALL:
			$str_ret =  '<i class="fa fa-phone"></i> Click to Call';
			break;
		case VIDPROFITS_ACTION_AMAZON:
			$str_ret =  '<i class="fa fa-amazon"></i> Amazon Ads';
			break;
		case VIDPROFITS_ACTION_CTTWEET:
			$str_ret =  '<i class="fa fa-twitter"></i> Click to Tweet';
			break;
		case VIDPROFITS_ACTION_BELOWVIDEO:
			$str_ret =  '<i class="fa fa-toggle-down"></i> Element Below Video';
			break;
		case VIDPROFITS_ACTION_REDIRECT:
			$str_ret =  '<i class="fa fa-share"></i> Redirect';
			break;
		case VIDPROFITS_ACTION_SURVEY:
			$str_ret =  '<i class="fa fa-question-circle"></i> Survey';
			break;
		case VIDPROFITS_ACTION_FULLSCREEN:
			$str_ret =  '<i class="fa fa-expand"></i> Go Fullscreen';
			break;
		case VIDPROFITS_ACTION_SCROLLTOVIDEO:
			$str_ret =  '<i class="fa fa-angle-down"></i> Scroll To Video';
			break;
		case VIDPROFITS_ACTION_CORNER:
			$str_ret =  '<i class="fa fa-play-circle"></i> Small Corner Video';
			break;
		default:
			echo 'Unknown action type';
			break;
	}

	return '<b>'.($num+1).'.</b> '.$str_ret;
}

/* Input types */
function vidprofits_action_group_text( $action, $settings, $property, $name, $label, $placeholder = '', $help_txt = '', $class='', $element_class = '', $hidden = false ) {
	if ( isset( $settings->{$property} ) ) {
		// $value = htmlentities($settings->{$property}, ENT_QUOTES, 'UTF-8');
		// $value = vidprofits_escape_input_txt( $settings->{$property} );
		$value = $settings->{$property};
	}
	else
		$value = '';
?>
	<div class="form-group <?php echo $class; ?>" <?php if ( $hidden ) echo 'style="display:none"';?>>
		<label for="vidprofits_<?php echo $name;?>" class="col-sm-2 control-label"><?php echo $label; ?></label>
		<div class="col-sm-10">
			<input type="text" class="form-control <?php echo $element_class; ?>" name="<?php echo $name;?>" placeholder="<?php echo $placeholder;?>" value="<?php echo $value;?>">
			<?php if( $help_txt && !empty( $help_txt ) ) { ?>
				<p class="help-block" style="padding-top:5px"><?php echo $help_txt; ?></p>
			<?php } ?>
		</div>
	</div>
<?php
}

function vidprofits_action_group_textarea( $action, $settings, $property, $name, $label, $placeholder = '', $help_txt = '', $class='', $element_class = '', $hidden = false ) {
	if ( isset( $settings->{$property} ) )
		$value = $settings->{$property};
	else
		$value = '';
?>
	<div class="form-group <?php echo $class; ?>" <?php if ( $hidden ) echo 'style="display:none"';?>>
		<label for="vidprofits_<?php echo $name;?>" class="col-sm-2 control-label"><?php echo $label; ?></label>
		<div class="col-sm-10">
			<textarea class="form-control <?php echo $element_class; ?>" name="<?php echo $name;?>" placeholder="<?php echo $placeholder;?>"><?php echo stripslashes($value);?></textarea>
			<?php if( $help_txt && !empty( $help_txt ) ) { ?>
				<p class="help-block" style="padding-top:5px"><?php echo $help_txt; ?></p>
			<?php } ?>
		</div>
	</div>
<?php
}

function vidprofits_action_group_numeric( $action, $settings, $property, $name, $label, $placeholder = '', $help_txt = '', $class='', $element_class = '', $hidden = false ) {
	if ( isset( $settings->{$property} ) ) {
		// $value = htmlentities($settings->{$property}, ENT_QUOTES, 'UTF-8');
		// $value = vidprofits_escape_input_txt( $settings->{$property} );
		$value = $settings->{$property};
	}
	else
		$value = '';
?>
	<div class="form-group <?php echo $class; ?>" <?php if ( $hidden ) echo 'style="display:none"';?>>
		<label for="vidprofits_<?php echo $name;?>" class="col-sm-2 control-label"><?php echo $label; ?></label>
		<div class="col-sm-10">
			<input type="number" class="form-control <?php echo $element_class; ?>" name="<?php echo $name;?>" placeholder="<?php echo $placeholder;?>" value="<?php echo $value;?>">
			<?php if( $help_txt && !empty( $help_txt ) ) { ?>
				<p class="help-block" style="padding-top:5px"><?php echo $help_txt; ?></p>
			<?php } ?>
		</div>
	</div>
<?php
}

function vidprofits_action_group_color( $action, $settings, $property, $name, $label, $transparency = false,  $opacity = 1, $placeholder = '', $help_txt = '', $class='', $element_class = '', $hidden = false ) {
	if ( isset( $settings->{$property} ) ) {
		// $value = htmlentities($settings->{$property}, ENT_QUOTES, 'UTF-8');
		// $value = vidprofits_escape_input_txt( $settings->{$property} );
		$value = $settings->{$property};
	}
	else
		$value = '';
?>
	<div class="form-group <?php echo $class; ?>" <?php if ( $hidden ) echo 'style="display:none"';?>>
		<label for="vidprofits_<?php echo $name;?>" class="col-sm-2 control-label"><?php echo $label; ?></label>
		<div class="col-sm-10">
			<input type="text" <?php if( $transparency ) echo 'data-opacity="'.intval( $opacity ).'"';?> class="form-control <?php echo $element_class; ?> vpr-minicolor <?php if( $transparency ) echo 'vpr-mc-trans'; else echo 'vpr-mc-opac'; ?>" name="<?php echo $name;?>" placeholder="<?php echo $placeholder;?>" value="<?php echo $value;?>">
			<?php if( $help_txt && !empty( $help_txt ) ) { ?>
				<p class="help-block" style="padding-top:5px"><?php echo $help_txt; ?></p>
			<?php } ?>
		</div>
	</div>
<?php
}
function vidprofits_action_group_date( $action, $settings, $property, $name, $label, $placeholder = '', $help_txt = '', $class='', $element_class = '', $hidden = false, $alt_name = '' ) {
	if ( isset( $settings->{$property} ) ) {
		// $value = htmlentities($settings->{$property}, ENT_QUOTES, 'UTF-8');
		// $value = vidprofits_escape_input_txt( $settings->{$property} );
		$value = $settings->{$property};
		$alt_value = $settings->{$property.'f'};
	}
	else {
		$value = '';
		$alt_value = '';
	}
?>
	<div class="form-group <?php echo $class; ?>" <?php if ( $hidden ) echo 'style="display:none"';?>>
		<label for="vidprofits_<?php echo $name;?>" class="col-sm-2 control-label"><?php echo $label; ?></label>
		<div class="col-sm-10">
			<input type="text" class="form-control vprofits_date <?php echo $element_class; ?>" name="<?php echo $name;?>" placeholder="<?php echo $placeholder;?>" value="<?php echo $value;?>">
			<input type="hidden" class="hiddenf" name="<?php echo $alt_name;?>" value="<?php echo $alt_value; ?>">
			<?php if( $help_txt && !empty( $help_txt ) ) { ?>
				<p class="help-block" style="padding-top:5px"><?php echo $help_txt; ?></p>
			<?php } ?>
		</div>
	</div>
<?php
}

function vidprofits_action_group_html( $action, $settings, $property, $name, $label, $placeholder = '', $help_txt = '', $class='', $element_class = '', $hidden = false ) {
	if ( isset( $settings->{$property} ) )
		$value = htmlspecialchars_decode( $settings->{$property} );
	else
		$value = '';

	$settings = array (
		'textarea_name' => $name
		);
	$ta_id = str_replace( array( '[', ']' ), '_', 'vidprofits_'.$name );
?>
	<div class="form-group <?php echo $class; ?>" <?php if ( $hidden ) echo 'style="display:none"';?>>
		<label for="vidprofits_<?php echo $name;?>" class="col-sm-2 control-label"><?php echo $label; ?></label>
		<div class="col-sm-10">
			<?php wp_editor( $value, $ta_id, $settings ); ?>
		</div>
	</div>
	<!--<script>
		tinymce.execCommand( 'mceAddEditor', true, <?php echo $ta_id; ?>);
	</script>-->
<?php
}

function vidprofits_action_group_hr( ) {
?>
	<div class="form-group">
		<hr/>
	</div>
<?php
}

function vidprofits_action_group_time( $action, $settings, $property, $name, $label, $placeholder = '', $help_txt = '', $class='', $select_class='', $hidden = false) {
	if ( isset( $settings->{$property} ) )
		$value = $settings->{$property};
	else
		$value = 0;
?>
	<div class="form-group <?php echo $class; ?>" <?php if ( $hidden ) echo 'style="display:none"';?>>
		<label for="vidprofits_<?php echo $name;?>" class="col-sm-2 control-label"><?php echo $label; ?></label>
		<div class="col-sm-10">
		<div class="input-group" style="width:140px">
		  <input type="number" class="form-control" name="<?php echo $name;?>" placeholder="<?php echo $placeholder;?>" value="<?php echo $value;?>" >
		  <span class="input-group-addon" >seconds</span>
		</div>
		<?php if( $help_txt && !empty( $help_txt ) ) { ?>
			<p class="help-block" style="margin-bottom:0"><?php echo $help_txt; ?></p>
		<?php } ?>
		</div>

	</div>
<?php
}

function vidprofits_action_group_select( $action, $settings, $property, $name, $label, $values=array(), $help_txt = '', $el_id = false, $class='', $select_class='', $hidden = false, $extra_option = false) {
	if ( isset( $settings->{$property} ) )
		$value = $settings->{$property};
	else
		$value = 0;
?>
	<div class="form-group <?php echo $class; ?>" <?php if ( $hidden ) echo 'style="display:none"';?>>
		<label for="vidprofits_<?php echo $name;?>" class="col-sm-2 control-label"><?php echo $label; ?></label>
		<div class="col-sm-10">
			<select <?php if ( $el_id ) echo 'id="'.$el_id.'"';?> class="form-control <?php echo $select_class; ?>" name="<?php echo $name;?>"><?php vidprofits_select_options($value, $values, $extra_option);?></select>
			<?php if( $help_txt && !empty( $help_txt ) ) { ?>
				<p class="help-block" style="margin-bottom:0"><?php echo $help_txt; ?></p>
			<?php } ?>
		</div>
	</div>
<?php
}

function vidprofits_action_group_checkbox( $action, $settings, $property, $name, $label, $id='', $help_txt = '', $class='', $element_class = '', $hidden = false, $secondary_label = '', $ch_class = '', $ontext = false, $offtext = false) {
	if ( isset( $settings->{$property} ) )
		$value = $settings->{$property};
	else
		$value = '';
	$extra_txt = '';
	if( $ontext )
		$extra_txt = 'data-on-text="'.$ontext.'" data-off-text="'.$offtext.'"';
?>
	<div class="form-group <?php echo $class; ?>" <?php if ( $hidden ) echo 'style="display:none"';?>>
		<label for="vidprofits_<?php echo $name;?>" class="col-sm-2 control-label"><?php echo $label; ?></label>
		<div class="col-sm-10">
			<div class="checkbox <?php echo $ch_class;?>">
			    <label>
			      <input type="checkbox"  value="1" name="<?php echo $name;?>" class="<?php echo $element_class; ?>" <?php vidprofits_checked($value, 1, true );  ?> <?php echo $extra_txt; ?> data-size="small" id="<?php echo $id;?>" >
			      <?php echo $secondary_label; ?>
			    </label>
			  </div>
			  <?php if( $help_txt && !empty( $help_txt ) ) { ?>
			  	<p class="help-block" style="margin-bottom:0"><?php echo $help_txt; ?></p>
			  <?php } ?>

		</div>
	</div>
<?php
}

function vidprofits_hidden_field( $name, $value, $class='') {
	echo '<input type="hidden" name ="'.$name.'" value="'.$value.'" class="'.$class.'">';
}

function vidprofits_action_group_fileupload( $action, $settings, $property, $name, $label, $help_txt = '', $hide_img = false) {
	if ( isset( $settings->{$property} ) )
		$value = $settings->{$property};
	else
		$value = '';
?>
	<div class="form-group file-upload-parent">
		<label for="vidprofits_<?php echo $name;?>" class="col-sm-2 control-label"><?php echo $label; ?></label>
		<div class="col-sm-10">
			<div class="input-group">
				<input class="form-control file-upload-url" type="text" size="36" name="<?php echo $name;?>" value="<?php echo $value;?>" placeholder="Select file..." />
			    <span class="input-group-btn">
					<button class="btn btn-default vidprofits_img_upload" type="button"><span class="fa fa-upload"></span> Select Image</button>
				</span>
			</div>
			<?php if (!$hide_img) { ?>
				<img src="<?php echo $value; ?>" alt="" class="file-upload-img">
			<?php } ?>
		</div>
	</div>
<?php
}

/* Special Elements */

function vidprofits_action_group_show_when( $action, $settings, $property, $name = array(), $label = '', $placeholder = '', $help_txt = '') {
	if ( isset( $settings->{$property[0]} ) )
		$value1 = $settings->{$property[0]};
	else
		$value1 = 0;

	if ( isset( $settings->{$property[1]} ) )
		$value2 = $settings->{$property[1]};
	else
		$value2 = 0;

	$options = vidprofits_get_vactions_showafter();
?>
	<div class="form-group">
		<label for="vidprofits_<?php echo 'xxx'/*$name*/;?>" class="col-sm-2 control-label">Display</label>
		<div class="col-sm-10">
			<div class="row">
				<div class="col-lg-6">
					<select class="form-control display_after" name="<?php echo $name[0];?>"><?php vidprofits_select_options($value1, $options, true);?></select>
				</div>
				<div class="col-lg-6 show-after-seconds" <?php if ($value1 != 5) echo 'style="display:none"'; ?>>
				<div class="input-group" style="width:140px">
				  <input type="number" class="form-control" name="<?php echo $name[1];?>" placeholder="<?php echo $placeholder;?>" value="<?php echo $value2;?>" >
				  <span class="input-group-addon" >seconds</span>
				</div>
				</div>
			</div>
		</div>
	</div>
<?php
}


function vidprofits_action_group_animations_multi( $action, $settings, $property, $name = array(), $label = '', $placeholder = '', $help_txt = '') {
	if ( isset( $settings->{$property[0]} ) )
		$value1 = $settings->{$property[0]};
	else
		$value1 = 0;

	if ( isset( $settings->{$property[1]} ) )
		$value2 = $settings->{$property[1]};
	else
		$value2 = 0;

	$entry_anim = vidprofits_get_entry_animations();
	$exit_anim = vidprofits_get_exit_animations();
?>
	<br/>
	<div class="form-group">
		<label class="col-sm-2 control-label">Animations</label>
		<div class="col-sm-10">
			<div class="row">
				<label class="col-sm-2 control-label">Entry</label>
				<div class="col-sm-10">
					<select class="form-control" name="<?php echo $name[0];?>"><?php vidprofits_select_options($value1, $entry_anim, 'None');?></select>
				</div>
			</div>

			<div class="row">
				<label class="col-sm-2 control-label">Exit</label>
				<div class="col-sm-10">
					<select class="form-control" name="<?php echo $name[1];?>"><?php vidprofits_select_options($value2, $exit_anim, 'None');?></select>
				</div>
			</div>

		</div>
	</div>
<?php
}

function vidprofits_action_group_animations( $action, $settings, $property, $name = array(), $label = '', $placeholder = '', $help_txt = '') {
	// var_dump($settings);
	if ( $settings && isset( $settings->{$property[0]} ) && $settings->{$property[0]} )
		$value1 = $settings->{$property[0]};
	else
		$value1 = 0;
// var_dump($value1);
// die();
	/*if ( isset( $settings->{$property[1]} ) )
		$value2 = $settings->{$property[1]};
	else
		$value2 = 0;*/

	$entry_anim = vidprofits_get_entry_animations();
	// $exit_anim = vidprofits_get_exit_animations();
?>
	<br/>
	<div class="form-group">
		<label class="col-sm-2 control-label">Entry Animation</label>
		<div class="col-sm-10">
			<select class="form-control" name="<?php echo $name[0];?>"><?php vidprofits_select_options( $value1, $entry_anim, 'None' );?></select>
		</div>
	</div>
<?php
}

function vidprofits_action_group_categories( $action, $settings, $property, $name = array(), $label = '', $placeholder = '', $help_txt = '', $class= '', $hidden = false ) {
		if ( isset( $settings->{$property} ) )
			$value = $settings->{$property};
		else
			$value = 0;
	?>
		<div class="form-group <?php echo $class; ?>" <?php if ( $hidden ) echo 'style="display:none"';?>>
			<label for="vidprofits_<?php echo $name;?>" class="col-sm-2 control-label"><?php echo $label; ?></label>
			<div class="col-sm-10">
				<ul class="categorias-vp">
			<?php wp_category_checklist( 0, 0, $value ); ?>
			</ul>
			</div>
		</div>
<?php
}

	
function vidprofits_action_group_answers( $action, $settings, $num ) {
	$answers = isset( $settings->answers) ? $settings->answers : 0;
?>
	<div class="row answers-group">
		<div class="col-lg-2"></div>
		<div class="col-lg-10">
			<h5>Answers</h5>
			<div class="vpf-answers">
				<?php
					if( $answers) 
						vidprofits_print_answers( $action, $settings, $answers, $num );
				?>
			</div>
			<button type="button" class="btn btn-sm btn-primary vidprofits-add-answer"><i class="fa fa-plus"></i> Add Answer</button>
			<hr/>
		</div>
	</div>
<?php
}

/*
	Each answer has:
		text
		action type
		action content
*/

function vidprofits_print_answers( $action, $settings, $answers, $num ) {
	$i = 1;
	foreach( $answers as $answer ) {
		vidprofits_print_answer( $answer, $num, $i++ );
		// $styles = vidprofits_get_vactions_ar_styles();
		// vidprofits_action_group_select( $action, $settings, 'style', 'vkaction['.$num.'][settings][style]', 'Style', $styles );
	}
}


function vidprofits_print_answer( $answer, $num, $i = 1 ) {
	if( $answer) {
		$value = $answer->reply;
		$action = $answer->action;
		$extra = $answer->extra;
	}
	else {
		$value = '';
		$extra = '';
		$action = 0;
	}

	if( !$action || $action == 1 )
		$label = 'URL';
	else
		$label = 'Video URL';

	$actions = array(
		array( 'label' => 'Open URL', 'value' => 1),
		array( 'label' => 'Play Video', 'value' => 2)
		);
	// var_dump($answer);
?>
	<div class="vprofits-answer">
		<span style="font-size:1.2em;font-weight:bold;padding-left:30px"><?php echo $i;?>.</span>
		<button class="vpr-delete-answer btn btn-xs pull-right btn-danger"><i class="fa fa-remove"></i></button>
		<br/>
		<div class="form-group">
			<label for="vidprofitsa_<?php echo $i;?>" class="col-sm-2 control-label">Reply</label>
			<div class="col-sm-10">
				<input type="text" class="form-control" name="vkaction[<?php echo $num;?>][settings][answers][<?php echo $i;?>][reply]" placeholder="Reply" value="<?php echo $value;?>">
			</div>
		</div>

		<div class="form-group">
			<label for="vidprofitsa2_<?php echo $i;?>" class="col-sm-2 control-label">Action on Click</label>
			<div class="col-sm-10">
				<select class="form-control answer-action" name="vkaction[<?php echo $num;?>][settings][answers][<?php echo $i;?>][action]">
					<?php vidprofits_select_options( $action, $actions, false ); ?>
				</select>
			</div>
		</div>

		<div class="form-group">
			<label for="vidprofitsa3_<?php echo $i;?>" class="col-sm-2 control-label"><?php echo $label; ?></label>
			<div class="col-sm-10">
				<input type="text" class="form-control" name="vkaction[<?php echo $num;?>][settings][answers][<?php echo $i;?>][extra]" placeholder="<?php echo $label; ?>" value="<?php echo $extra;?>">
			</div>
		</div>
	</div>
<?php
}
/* Helper functions */

function vidprofits_select_options( $current_value = 0, $values=array(), $extra_option = false ) {
	if ($values) {
		if ($extra_option) {
			if( is_string( $extra_option ) )
				$txt = $extra_option;
			else
				$txt = 'Select...';
			?>
				<option value="0"><?php echo $txt; ?></option>
			<?php
		}
		foreach ($values as $value) {
			// var_dump($value);
			if (/*$value['value'] && */$value['value'] === 'optgroup') {
				?>
					<optgroup label="<?php echo $value['label'];?>">
				<?php
			} 	else if (/*$value['value'] &&*/ $value['value'] === 'optgroupclose') {
					?>
					</optgroup>
			<?php
				} else {
			?>
				<option value="<?php echo $value['value'];?>" <?php vidprofits_selected( $current_value, $value['value'] );?>><?php echo $value['label'];?></option>
			<?php
			}
		}
	}
}

function vidprofits_checked($current_value, $compare_value=true, $echo=1) {
	if ($current_value == $compare_value) {
		if ($echo) {
			echo ' checked="checked" ';
		}
		return ' checked="checked" ';
	}
}

function vidprofits_selected( $current_value, $compare_value = 'true', $echo=1 ) {
	// var_dump($current_value);
	// var_dump($compare_value);
	if ( $current_value && ( $current_value == $compare_value ) ) {
		if ($echo) {
			echo ' selected="selected" ';
		}
		return ' selected="selected" ';
	}
}

function vidprofits_get_selected_in_array($haystack, $needle) {
	if ($haystack) {
		foreach ($haystack as $element) {
			if ($element['value'] == $needle) return $element['label'];
		}
	}
	return '';
}

/*
	Disp:
		1: horizontal
		2: vertical
*/
function vidprofits_social_buttons_el( $num, $current = 1, $disposition = 1 ) {
	$social_btns = array( 'facebook', 'twitter', 'googleplus', 'linkedin', 'pinterest');

	if ($num == $current)
		$style = 'style="display:block"';
	else
		$style = 'style="display:none"';

	if ($disposition == 1)
		$style2 = 'style=""';
	else
		$style2 = 'style="display:block"';
?>
	<div class="row social-button-style social-buttons-<?php echo $num;?>" <?php echo $style; ?>>
		<div class="col-lg-2">&nbsp;</div>
		<div class="col-lg-10">
			<?php
				foreach( $social_btns as $btn ) {
					echo '<img class="vidprofits-social-btn" '.$style2.' src="'.VIDPROFITS_URL.'/img/social/'.$num.'/'.$btn.'.png" />';
				}
			 ?>
		</div>
	</div>
<?php
}


function vidprofits_cta_buttons_el( $num, $current = 1 ) {

	if ($num == $current)
		$style = 'style="display:block"';
	else
		$style = 'style="display:none"';
?>
	<div class="row cta-button-style cta-buttons-<?php echo $num;?>" <?php echo $style; ?>>
		<div class="col-lg-2">&nbsp;</div>
		<div class="col-lg-10">
			<?php
					echo '<span class="vk-cta-button ckb'.$num.'">Click Here to Buy!</span>';
			 ?>
		</div>
	</div>
<?php
}
/* Different elements */

// 1. Share Buttons
function vidprofits_print_action_sharebuttons( $action, $num ) {
	vidprofits_print_action_header( $action, $num );
	$settings = json_decode( $action->settings );
	// var_dump($settings);
	// var_dump($settings);
	// vidprofits_action_group_text( $action, 'pepito', 'pepito', 'Etiqueta' );
	vidprofits_action_group_show_when( $action, $settings, array( 'show_when', 'show_after_secs'), array( 'vkaction['.$num.'][settings][show_when]', 'vkaction['.$num.'][settings][show_after_secs]' ) );
	vidprofits_action_group_time( $action, $settings, 'hide_after', 'vkaction['.$num.'][settings][hide_after]', 'Hide after', '', 'Leave 0 for never' );

	vidprofits_action_group_checkbox( $action, $settings, 'hide_mobile', 'vkaction['.$num.'][settings][hide_mobile]', 'Disable on Mobile Devices', false, 'If checked, this action will not execute on mobile devices (smartphones, etc)' );

	vidprofits_action_group_checkbox( $action, $settings, 'pause_video', 'vkaction['.$num.'][settings][pause_video]', 'Stop Video' );

	vidprofits_action_group_checkbox( $action, $settings, 'show_overlay', 'vkaction['.$num.'][settings][show_overlay]', 'Show Overlay' );


	$is_skippable = isset( $settings->skippable ) ? $settings->skippable : false;
	if ( $is_skippable )
		$hide_els = false;
	else
		$hide_els = true;

	vidprofits_action_group_checkbox( $action, $settings, 'skippable', 'vkaction['.$num.'][settings][skippable]', 'Skippable', '', '', 'video-skippable', 'video-skippable-el' );
	vidprofits_action_group_text( $action, $settings, 'skip_text', 'vkaction['.$num.'][settings][skip_text]', 'Close / Skip text', '', '', 'video-skippable-txt', 'video-skippable-txt-el', $hide_els );


	/*vidprofits_action_group_text( $action, $settings, 'skip_text', 'vkaction['.$num.'][settings][skip_text]', 'Close / Skip text', '', '', 'video-skippable-txt', 'video-skippable-txt-el' );*/

	vidprofits_action_group_text( $action, $settings, 'label', 'vkaction['.$num.'][settings][label]', 'Text Label' );

	$action_types = array( array('value' => 1, 'label' => 'Share'), array('value' => 2, 'label' => 'Link to your social networks') );
	$share_types = vidprofits_get_vactions_share();
	$social_button_styles = vidprofits_get_vactions_socbuttons_styles();

	$action_type = isset( $settings->what_action ) ? $settings->what_action : false;
	if ( $action_type == 2 )
		$hide_els = true;
	else
		$hide_els = false;

	vidprofits_action_group_select( $action, $settings, 'what_action', 'vkaction['.$num.'][settings][what_action]', 'Action on Click', $action_types, '', false, 'vidprofits-share-action', 'vidprofits-share-action-el' );
	vidprofits_action_group_select( $action, $settings, 'share_what', 'vkaction['.$num.'][settings][share_what]', 'Share', $share_types, '', false, 'vidprofits-share-what', 'vidprofits-share-what-el', $hide_els );

	$share_what = isset( $settings->share_what ) ? $settings->share_what : false;
	if ( $share_what != 2 || $hide_els)
		$hide_url = true;
	else
		$hide_url = false;
	// $hide_els = $hide_els || $hide_url;

	vidprofits_action_group_text( $action, $settings, 'share_url', 'vkaction['.$num.'][settings][share_url]', 'URL to Share', '', '', 'vidprofits-share-url', 'vidprofits-share-url-el', $hide_url );


	// function vidprofits_action_group_checkbox( $action, $settings, $property, $name, $label, $id='', $help_txt = '', $class='', $element_class = '', $hidden = false, $secondary_label = '', $ch_class = '', $ontext = false, $offtext = false) {

	vidprofits_action_group_checkbox( $action, $settings, 'facebook', 'vkaction['.$num.'][settings][facebook]', 'Networks', '', '', '', '', false, '<i class="fa fa-facebook"></i> Facebook' );
	vidprofits_action_group_checkbox( $action, $settings, 'twitter', 'vkaction['.$num.'][settings][twitter]', '', '', '', '', '', false, '<i class="fa fa-twitter"></i> Twitter' );
	vidprofits_action_group_checkbox( $action, $settings, 'googleplus', 'vkaction['.$num.'][settings][googleplus]', '', '', '', '', '', false, '<i class="fa fa-google-plus"></i> Google +' );
	vidprofits_action_group_checkbox( $action, $settings, 'pinterest', 'vkaction['.$num.'][settings][pinterest]', '', '', '', '', '', false, '<i class="fa fa-pinterest"></i> Pinterest' );
	vidprofits_action_group_checkbox( $action, $settings, 'linkedin', 'vkaction['.$num.'][settings][linkedin]', '', '', '', '', '', false, '<i class="fa fa-linkedin"></i> Linkedin' );

	$positions = vidprofits_get_element_positions();
	vidprofits_action_group_select( $action, $settings, 'position', 'vkaction['.$num.'][settings][position]', 'Position', $positions );

	vidprofits_action_group_select( $action, $settings, 'style', 'vkaction['.$num.'][settings][style]', 'Style', $social_button_styles, '', false, 'vidprofits-social-style', 'vidprofits-social-style-el' );

	$dispositions = array (
		array( 'label' => 'Horizontal', 'value' => 1 ),
		array( 'label' => 'Vertical', 'value' => 2 )
		);

	vidprofits_action_group_select( $action, $settings, 'disposition', 'vkaction['.$num.'][settings][disposition]', 'Disposition', $dispositions, '', false, 'vidprofits-icons-disposition', 'vidprofits-icons-disposition-el' );

	$current_style = isset( $settings->style ) ? $settings->style : 1;
	$current_disposition = isset( $settings->disposition ) ? $settings->disposition : 1;
	// if ( $current_ar == 7 ) {
	// 	$hide_lists = true;
	// 	$hide_html = false;
	// }
	// else {
	// 	$hide_lists = false;
	// 	$hide_html = true;
	// }

	for ($i=1;$i<11;$i++) {
		vidprofits_social_buttons_el( $i, $current_style, $current_disposition );
	}

	vidprofits_action_group_animations( $action, $settings, array( 'entry_anim', 'exit_anim'), array( 'vkaction['.$num.'][settings][entry_anim]', 'vkaction['.$num.'][settings][exit_anim]'  ) );

	vidprofits_print_action_footer( $action );
}

// 2. Optin Form
function vidprofits_print_action_optinform( $action, $num ) {
	vidprofits_print_action_header( $action, $num );
	$settings = json_decode( $action->settings );
	vidprofits_action_group_show_when( $action, $settings, array( 'show_when', 'show_after_secs'), array( 'vkaction['.$num.'][settings][show_when]', 'vkaction['.$num.'][settings][show_after_secs]' ) );
	vidprofits_action_group_time( $action, $settings, 'hide_after', 'vkaction['.$num.'][settings][hide_after]', 'Hide after', '', 'Leave 0 for never' );
	vidprofits_action_group_checkbox( $action, $settings, 'hide_mobile', 'vkaction['.$num.'][settings][hide_mobile]', 'Disable on Mobile Devices', false, 'If checked, this action will not execute on mobile devices (smartphones, etc)' );

	vidprofits_action_group_checkbox( $action, $settings, 'pause_video', 'vkaction['.$num.'][settings][pause_video]', 'Stop Video' );

	vidprofits_action_group_checkbox( $action, $settings, 'show_overlay', 'vkaction['.$num.'][settings][show_overlay]', 'Show Overlay' );

	$is_skippable = isset( $settings->skippable ) ? $settings->skippable : false;
	if ( $is_skippable )
		$hide_els = false;
	else
		$hide_els = true;

	vidprofits_action_group_checkbox( $action, $settings, 'skippable', 'vkaction['.$num.'][settings][skippable]', 'Skippable', '', '', 'video-skippable', 'video-skippable-el' );
	vidprofits_action_group_text( $action, $settings, 'skip_text', 'vkaction['.$num.'][settings][skip_text]', 'Close / Skip text', '', '', 'video-skippable-txt', 'video-skippable-txt-el', $hide_els );

	vidprofits_action_group_text( $action, $settings, 'headline_label', 'vkaction['.$num.'][settings][headline_label]', 'Headline Text' );
	vidprofits_action_group_text( $action, $settings, 'email_label', 'vkaction['.$num.'][settings][email_label]', 'Email Label' );

	$display_name = isset( $settings->display_name ) ? $settings->display_name : false;
	if ( $display_name )
		$hide_els = false;
	else
		$hide_els = true;

	vidprofits_action_group_checkbox( $action, $settings, 'display_name', 'vkaction['.$num.'][settings][display_name]', 'Display Name field', '', '', '', 'display-name-el'/*, 'display-name'*/ );
	vidprofits_action_group_text( $action, $settings, 'name_label', 'vkaction['.$num.'][settings][name_label]', 'Name Label', '', '', 'name-label', 'name-label-el', $hide_els );
	vidprofits_action_group_text( $action, $settings, 'button_label', 'vkaction['.$num.'][settings][button_label]', 'Subscribe Button Text' );
	vidprofits_action_group_text( $action, $settings, 'thankyou_txt', 'vkaction['.$num.'][settings][thankyou_txt]', 'Thank You Text' );

	$styles = vidprofits_get_vactions_ar_styles();
	vidprofits_action_group_select( $action, $settings, 'style', 'vkaction['.$num.'][settings][style]', 'Style', $styles );


	$autoresponders = vidprofits_get_autoresponder_types( true );



	$current_ar = isset( $settings->ar_type ) ? $settings->ar_type : 0;
	if ( $current_ar == 10 ) {
		$hide_lists = true;
		$hide_html = false;
	}
	else {
		$hide_lists = false;
		$hide_html = true;
	}

	$lists_sel = array();
	if ($current_ar && $current_ar != 10) {
		$lists = vidprofits_get_autoresponder_lists( $current_ar );
		if ( $lists ) {
			foreach ($lists as $list) {
				$lists_sel[] = array( 'value' => $list['id'], 'label' => $list['name']);
			}
		}
	}

	if ( vidprofits_is_pro() ) { 
		vidprofits_action_group_hr();

		vidprofits_action_group_select( $action, $settings, 'ar_type', 'vkaction['.$num.'][settings][ar_type]', 'Autoresponder', $autoresponders, '', false, 'vidprofits-ar-type', 'vidprofits-ar-type-el', false, true );
		vidprofits_action_group_select( $action, $settings, 'ar_list', 'vkaction['.$num.'][settings][ar_list]', 'List', $lists_sel, '', false, 'vidprofits-ar-list', 'vidprofits-ar-list-el', $hide_lists );
		vidprofits_action_group_textarea( $action, $settings, 'ar_html_code', 'vkaction['.$num.'][settings][ar_html_code]', 'Form HTML Code', '', '', 'vidprofits-ar-html-code', 'vidprofits-ar-html-code-el', $hide_html );
		vidprofits_action_group_hr();

		$webinar_types = vidprofits_get_webinar_types( true );
		$current_webinar_type = isset( $settings->webinar_type ) ? $settings->webinar_type : 0;

		$lists_webinars = array();
		if ($current_webinar_type ) {
			$lists = vidprofits_get_webinars( $current_webinar_type );
			if ( $lists ) {
				foreach ($lists as $list) {
					$lists_webinars[] = array( 'value' => $list['id'], 'label' => $list['name']);
				}
			}
		}

		vidprofits_action_group_select( $action, $settings, 'webinar_type', 'vkaction['.$num.'][settings][webinar_type]', 'Webinar Type', $webinar_types, '', false, 'vidprofits-webinar-type', 'vidprofits-webinar-type-el', false, true );
		vidprofits_action_group_select( $action, $settings, 'webinar_name', 'vkaction['.$num.'][settings][webinar_name]', 'Webinar', $lists_webinars, '', false, 'vidprofits-webinar-id', 'vidprofits-webinar-id-el' );
	} else {
		vidprofits_hidden_field( 'vkaction['.$num.'][settings][ar_type]', 20 );
		vidprofits_hidden_field( 'vkaction['.$num.'][settings][webinar_type]', 0 );
	}
	vidprofits_action_group_animations( $action, $settings, array( 'entry_anim', 'exit_anim'), array( 'vkaction['.$num.'][settings][entry_anim]', 'vkaction['.$num.'][settings][exit_anim]'  ) );

	vidprofits_print_action_footer( $action );
}

// 3. CTA
function vidprofits_print_action_cta( $action, $num ) {
	vidprofits_print_action_header( $action, $num );
	// var_dump($action->settings);
	$settings = json_decode( $action->settings );
	// var_dump($settings);
	vidprofits_action_group_show_when( $action, $settings, array( 'show_when', 'show_after_secs'), array( 'vkaction['.$num.'][settings][show_when]', 'vkaction['.$num.'][settings][show_after_secs]' ) );
	vidprofits_action_group_time( $action, $settings, 'hide_after', 'vkaction['.$num.'][settings][hide_after]', 'Hide after', '', 'Leave 0 for never' );
	vidprofits_action_group_checkbox( $action, $settings, 'hide_mobile', 'vkaction['.$num.'][settings][hide_mobile]', 'Disable on Mobile Devices', false, 'If checked, this action will not execute on mobile devices (smartphones, etc)' );

	vidprofits_action_group_checkbox( $action, $settings, 'pause_video', 'vkaction['.$num.'][settings][pause_video]', 'Stop Video' );
	vidprofits_action_group_checkbox( $action, $settings, 'show_overlay', 'vkaction['.$num.'][settings][show_overlay]', 'Show Overlay' );
	vidprofits_action_group_checkbox( $action, $settings, 'hide_click', 'vkaction['.$num.'][settings][hide_click]', 'Hide after click' );

	vidprofits_action_group_text( $action, $settings, 'headline', 'vkaction['.$num.'][settings][headline]', 'Headline Text' );

	if( !isset( $settings->headline_color ) || empty( $settings->headline_color ) )
		$settings->headline_color = '#ffffff';

	vidprofits_action_group_color( $action, $settings, 'headline_color', 'vkaction['.$num.'][settings][headline_color]', 'Headline Color', false, 0, '', '' );


	vidprofits_action_group_text( $action, $settings, 'button_label', 'vkaction['.$num.'][settings][button_label]', 'Button Text' );
	vidprofits_action_group_text( $action, $settings, 'button_link', 'vkaction['.$num.'][settings][button_link]', 'Button Link' );
	vidprofits_action_group_checkbox( $action, $settings, 'new_window', 'vkaction['.$num.'][settings][new_window]', 'Open in New Window' );

	$positions = vidprofits_get_element_positions();
	vidprofits_action_group_select( $action, $settings, 'position', 'vkaction['.$num.'][settings][position]', 'Position', $positions );

	$cta_button_styles = vidprofits_get_vactions_cta_styles();
	vidprofits_action_group_select( $action, $settings, 'style', 'vkaction['.$num.'][settings][style]', 'Style', $cta_button_styles, '', false, 'vidprofits-cta-style', 'vidprofits-cta-style-el' );
	// vidprofits_action_group_text( $action, $settings, 'button_link', 'vkaction['.$num.'][settings][button_link]', 'If custom, colors, ffamily, size...' );
	// vidprofits_action_group_select( $action, $settings, 'style', 'vkaction['.$num.'][settings][style]', 'Style', $social_button_styles, '', false, 'vidprofits-social-style', 'vidprofits-social-style-el' );

	$current_style = isset( $settings->style ) ? $settings->style : 1;
	for ($i=1;$i<21;$i++)
		vidprofits_cta_buttons_el( $i, $current_style);

	vidprofits_action_group_animations( $action, $settings, array( 'entry_anim', 'exit_anim'), array( 'vkaction['.$num.'][settings][entry_anim]', 'vkaction['.$num.'][settings][exit_anim]'  ) );



	vidprofits_print_action_footer( $action );
}

// 4. Banner
function vidprofits_print_action_banner( $action, $num ) {
	vidprofits_print_action_header( $action, $num );

	$settings = json_decode( $action->settings );
	vidprofits_action_group_show_when( $action, $settings, array( 'show_when', 'show_after_secs'), array( 'vkaction['.$num.'][settings][show_when]', 'vkaction['.$num.'][settings][show_after_secs]' ) );
	vidprofits_action_group_time( $action, $settings, 'hide_after', 'vkaction['.$num.'][settings][hide_after]', 'Hide after', '', 'Leave 0 for never' );
	vidprofits_action_group_checkbox( $action, $settings, 'hide_mobile', 'vkaction['.$num.'][settings][hide_mobile]', 'Disable on Mobile Devices', false, 'If checked, this action will not execute on mobile devices (smartphones, etc)' );

	vidprofits_action_group_checkbox( $action, $settings, 'pause_video', 'vkaction['.$num.'][settings][pause_video]', 'Stop Video' );

	// $is_skippable = isset( $settings->skippable ) ? $settings->skippable : false;

	vidprofits_action_group_checkbox( $action, $settings, 'skippable', 'vkaction['.$num.'][settings][skippable]', 'Show close button', '', '', 'video-skippable', 'video-skippable-el' );

	vidprofits_action_group_checkbox( $action, $settings, 'show_overlay', 'vkaction['.$num.'][settings][show_overlay]', 'Show Overlay' );

	vidprofits_action_group_checkbox( $action, $settings, 'hide_click', 'vkaction['.$num.'][settings][hide_click]', 'Hide after click' );

	vidprofits_action_group_fileupload( $action, $settings, 'image', 'vkaction['.$num.'][settings][image]', 'Image' );

	vidprofits_action_group_text( $action, $settings, 'link', 'vkaction['.$num.'][settings][link]', 'Link' );
	vidprofits_action_group_checkbox( $action, $settings, 'new_window', 'vkaction['.$num.'][settings][new_window]', 'Open in New Window' );
	$positions = vidprofits_get_element_positions();
	vidprofits_action_group_select( $action, $settings, 'position', 'vkaction['.$num.'][settings][position]', 'Position', $positions );

	vidprofits_action_group_animations( $action, $settings, array( 'entry_anim', 'exit_anim'), array( 'vkaction['.$num.'][settings][entry_anim]', 'vkaction['.$num.'][settings][exit_anim]'  ) );

	vidprofits_print_action_footer( $action );
}


// 5. Play Video
function vidprofits_print_action_video( $action, $num ) {
	vidprofits_print_action_header( $action, $num );

	$settings = json_decode( $action->settings );
	vidprofits_action_group_show_when( $action, $settings, array( 'show_when', 'show_after_secs'), array( 'vkaction['.$num.'][settings][show_when]', 'vkaction['.$num.'][settings][show_after_secs]' ) );
	vidprofits_action_group_checkbox( $action, $settings, 'hide_mobile', 'vkaction['.$num.'][settings][hide_mobile]', 'Disable on Mobile Devices', false, 'If checked, this action will not execute on mobile devices (smartphones, etc)' );

	// var_dump($settings);
	$is_skippable = isset( $settings->skippable ) ? $settings->skippable : false;
	if ( $is_skippable )
		$hide_els = false;
	else
		$hide_els = true;

	vidprofits_action_group_checkbox( $action, $settings, 'skippable', 'vkaction['.$num.'][settings][skippable]', 'Skippable', '', '', 'video-skippable', 'video-skippable-el' );

	vidprofits_action_group_time( $action, $settings, 'skippable_after', 'vkaction['.$num.'][settings][skippable_after]', 'Skippable after...', '', '', 'video-skippable-after', 'video-skippable-after-el', $hide_els );

	vidprofits_action_group_text( $action, $settings, 'skip_text', 'vkaction['.$num.'][settings][skip_text]', 'Skip Text', '', '', 'video-skippable-txt', 'video-skippable-txt-el', $hide_els );
	vidprofits_action_group_text( $action, $settings, 'video', 'vkaction['.$num.'][settings][video]', 'Video URL' );

	vidprofits_print_action_footer( $action );
}

function vidprofits_print_action_likeus( $action, $num ) {
	vidprofits_print_action_header( $action, $num );

	$settings = json_decode( $action->settings );
	vidprofits_action_group_show_when( $action, $settings, array( 'show_when', 'show_after_secs'), array( 'vkaction['.$num.'][settings][show_when]', 'vkaction['.$num.'][settings][show_after_secs]' ) );
	vidprofits_action_group_checkbox( $action, $settings, 'hide_mobile', 'vkaction['.$num.'][settings][hide_mobile]', 'Disable on Mobile Devices', false, 'If checked, this action will not execute on mobile devices (smartphones, etc)' );

	vidprofits_action_group_checkbox( $action, $settings, 'pause_video', 'vkaction['.$num.'][settings][pause_video]', 'Stop Video' );

	// var_dump($settings);
	$is_skippable = isset( $settings->skippable ) ? intval( $settings->skippable ) : false;
	// var_dump($is_skippable);
	if ( $is_skippable )
		$hide_els = false;
	else
		$hide_els = true;

	vidprofits_action_group_time( $action, $settings, 'hide_after', 'vkaction['.$num.'][settings][hide_after]', 'Hide after...', '', ''/*, 'video-skippable-after', 'video-skippable-after-el', $hide_els*/ );

	vidprofits_action_group_checkbox( $action, $settings, 'skippable', 'vkaction['.$num.'][settings][skippable]', 'Skippable', '', 'If not checked, the buttons will just be hidden if the user clicks on like/follow', 'video-skippable', 'video-skippable-el' );

	vidprofits_action_group_text( $action, $settings, 'skip_text', 'vkaction['.$num.'][settings][skip_text]', 'Skip Text', '', '', 'video-skippable-txt', 'video-skippable-txt-el', $hide_els );

	vidprofits_action_group_checkbox( $action, $settings, 'show_overlay', 'vkaction['.$num.'][settings][show_overlay]', 'Show Overlay' );

	vidprofits_action_group_hr();
	$share_types = vidprofits_get_vactions_share();

	vidprofits_action_group_select( $action, $settings, 'share_what', 'vkaction['.$num.'][settings][share_what]', 'Share / Like', $share_types, '', false, 'vidprofits-share-what', 'vidprofits-share-what-el' );

	$share_what = isset( $settings->share_what ) ? $settings->share_what : false;
	if ( $share_what != 2 )
		$hide_url = true;
	else
		$hide_url = false;
	// $hide_els = $hide_els || $hide_url;

	vidprofits_action_group_text( $action, $settings, 'share_url', 'vkaction['.$num.'][settings][share_url]', 'URL to Share / Like', '', '', 'vidprofits-share-url', 'vidprofits-share-url-el', $hide_url );

	vidprofits_action_group_text( $action, $settings, 'header_text', 'vkaction['.$num.'][settings][header_text]', 'Header Text', '', '' );

	vidprofits_action_group_checkbox( $action, $settings, 'facebook', 'vkaction['.$num.'][settings][facebook]', 'Facebook Like <i class="fa fa-facebook"></i>', '' );
	vidprofits_action_group_checkbox( $action, $settings, 'twitter', 'vkaction['.$num.'][settings][twitter]', 'Tweet <i class="fa fa-twitter"></i>', '' );
	vidprofits_action_group_checkbox( $action, $settings, 'googleplus', 'vkaction['.$num.'][settings][googleplus]', 'Share on G+ <i class="fa fa-google-plus"></i>', '' );
	vidprofits_action_group_checkbox( $action, $settings, 'linkedin', 'vkaction['.$num.'][settings][linkedin]', 'Linkedin Share <i class="fa fa-linkedin"></i>', '' );

	vidprofits_action_group_animations( $action, $settings, array( 'entry_anim', 'exit_anim'), array( 'vkaction['.$num.'][settings][entry_anim]', 'vkaction['.$num.'][settings][exit_anim]'  ) );

	vidprofits_print_action_footer( $action );
}


function vidprofits_print_action_annotation( $action, $num ) {
	vidprofits_print_action_header( $action, $num );
	$settings = json_decode( $action->settings );
	vidprofits_action_group_show_when( $action, $settings, array( 'show_when', 'show_after_secs'), array( 'vkaction['.$num.'][settings][show_when]', 'vkaction['.$num.'][settings][show_after_secs]' ) );
	vidprofits_action_group_time( $action, $settings, 'hide_after', 'vkaction['.$num.'][settings][hide_after]', 'Hide after', '', 'Leave 0 for never' );
	vidprofits_action_group_checkbox( $action, $settings, 'hide_mobile', 'vkaction['.$num.'][settings][hide_mobile]', 'Disable on Mobile Devices', false, 'If checked, this action will not execute on mobile devices (smartphones, etc)' );

	$positions = vidprofits_get_element_positions();
	vidprofits_action_group_select( $action, $settings, 'position', 'vkaction['.$num.'][settings][position]', 'Position', $positions );

	vidprofits_action_group_checkbox( $action, $settings, 'show_overlay', 'vkaction['.$num.'][settings][show_overlay]', 'Show Overlay' );

	vidprofits_action_group_checkbox( $action, $settings, 'skippable', 'vkaction['.$num.'][settings][skippable]', 'Skippable', '', '', 'video-skippable', 'video-skippable-el' );

	$is_clickable = isset( $settings->clickable ) ? $settings->clickable : false;
	if ( $is_clickable )
		$hide_els = false;
	else
		$hide_els = true;
	vidprofits_action_group_checkbox( $action, $settings, 'clickable', 'vkaction['.$num.'][settings][clickable]', 'Clickable', '', '', 'text-clickable', 'text-clickable-el' );
	vidprofits_action_group_text( $action, $settings, 'link', 'vkaction['.$num.'][settings][link]', 'Link', '', '', 'text-url', 'text-url-el', $hide_els );
	vidprofits_action_group_checkbox( $action, $settings, 'new_window', 'vkaction['.$num.'][settings][new_window]', 'Open in New Window', '', '', 'text-openwin', '', $hide_els );

	vidprofits_action_group_text( $action, $settings, 'text', 'vkaction['.$num.'][settings][text]', 'Text', '', '' );

	if( !isset( $settings->bg_color ) || empty( $settings->bg_color ) )
		$settings->bg_color = 'rgba(0, 0, 0, 1)';
	
	if( !isset( $settings->text_color ) || empty( $settings->text_color ) )
		$settings->text_color = '#ffffff';

	vidprofits_action_group_color( $action, $settings, 'bg_color', 'vkaction['.$num.'][settings][bg_color]', 'Background Color', true, 1, '', '' );

	vidprofits_action_group_color( $action, $settings, 'text_color', 'vkaction['.$num.'][settings][text_color]', 'Text Color', false, 0, '', '' );

	vidprofits_action_group_animations( $action, $settings, array( 'entry_anim', 'exit_anim'), array( 'vkaction['.$num.'][settings][entry_anim]', 'vkaction['.$num.'][settings][exit_anim]'  ) );

	vidprofits_print_action_footer( $action );
}

function vidprofits_print_action_html( $action, $num ) {
	vidprofits_print_action_header( $action, $num );
	$settings = json_decode( $action->settings );
	vidprofits_action_group_show_when( $action, $settings, array( 'show_when', 'show_after_secs'), array( 'vkaction['.$num.'][settings][show_when]', 'vkaction['.$num.'][settings][show_after_secs]' ) );
	vidprofits_action_group_time( $action, $settings, 'hide_after', 'vkaction['.$num.'][settings][hide_after]', 'Hide after', '', 'Leave 0 for never' );
	vidprofits_action_group_checkbox( $action, $settings, 'hide_mobile', 'vkaction['.$num.'][settings][hide_mobile]', 'Disable on Mobile Devices', false, 'If checked, this action will not execute on mobile devices (smartphones, etc)' );

	vidprofits_action_group_checkbox( $action, $settings, 'pause_video', 'vkaction['.$num.'][settings][pause_video]', 'Stop Video' );
	vidprofits_action_group_checkbox( $action, $settings, 'show_overlay', 'vkaction['.$num.'][settings][show_overlay]', 'Show Overlay' );

	$is_skippable = isset( $settings->skippable ) ? $settings->skippable : false;
	if ( $is_skippable )
		$hide_els = false;
	else
		$hide_els = true;

	vidprofits_action_group_checkbox( $action, $settings, 'skippable', 'vkaction['.$num.'][settings][skippable]', 'Skippable', '', '', 'video-skippable', 'video-skippable-el' );
	vidprofits_action_group_text( $action, $settings, 'skip_text', 'vkaction['.$num.'][settings][skip_text]', 'Close / Skip text', '', '', 'video-skippable-txt', 'video-skippable-txt-el', $hide_els );

	$positions = vidprofits_get_element_positions();
	vidprofits_action_group_select( $action, $settings, 'position', 'vkaction['.$num.'][settings][position]', 'Position', $positions );


	vidprofits_action_group_html( $action, $settings, 'html', 'vkaction['.$num.'][settings][html]', 'HTML Code', '', '' );

	vidprofits_action_group_animations( $action, $settings, array( 'entry_anim', 'exit_anim'), array( 'vkaction['.$num.'][settings][entry_anim]', 'vkaction['.$num.'][settings][exit_anim]'  ) );

	vidprofits_print_action_footer( $action );
}

function vidprofits_print_action_ctocall( $action, $num ) {
	vidprofits_print_action_header( $action, $num );
	$settings = json_decode( $action->settings );
	vidprofits_action_group_show_when( $action, $settings, array( 'show_when', 'show_after_secs'), array( 'vkaction['.$num.'][settings][show_when]', 'vkaction['.$num.'][settings][show_after_secs]' ) );
	vidprofits_action_group_time( $action, $settings, 'hide_after', 'vkaction['.$num.'][settings][hide_after]', 'Hide after', '', 'Leave 0 for never' );
	vidprofits_action_group_checkbox( $action, $settings, 'hide_mobile', 'vkaction['.$num.'][settings][hide_mobile]', 'Disable on Mobile Devices', false, 'If checked, this action will not execute on mobile devices (smartphones, etc)' );

	vidprofits_action_group_checkbox( $action, $settings, 'pause_video', 'vkaction['.$num.'][settings][pause_video]', 'Stop Video' );

	$call_types = array( array( 'label' => 'Phone Number', 'value' => 1), array( 'label' => 'Skype', 'value' => 2 ) );

	vidprofits_action_group_select( $action, $settings, 'call_type', 'vkaction['.$num.'][settings][call_type]', 'Type', $call_types, '', '', '', 'vp_call_type' );

	if( isset( $settings->call_type ) && $settings->call_type == 2 ) {
		$hidden1 = true;
		$hidden2 = false;
	}
	else {
		$hidden1 = false;
		$hidden2 = true;
	}
	vidprofits_action_group_text( $action, $settings, 'telephone', 'vkaction['.$num.'][settings][telephone]', 'Phone Number', '', '', 'phone_n_el', '', $hidden1 );
	vidprofits_action_group_text( $action, $settings, 'skype', 'vkaction['.$num.'][settings][skype]', 'Skype User', '', '', 'skype_el', '', $hidden2 );
	$positions = vidprofits_get_element_positions();
	vidprofits_action_group_select( $action, $settings, 'position', 'vkaction['.$num.'][settings][position]', 'Position', $positions );

	vidprofits_action_group_animations( $action, $settings, array( 'entry_anim', 'exit_anim'), array( 'vkaction['.$num.'][settings][entry_anim]', 'vkaction['.$num.'][settings][exit_anim]'  ) );

	vidprofits_print_action_footer( $action );
}


function vidprofits_print_action_amazon( $action, $num ) {
	vidprofits_print_action_header( $action, $num );
	$settings = json_decode( $action->settings );
	vidprofits_action_group_show_when( $action, $settings, array( 'show_when', 'show_after_secs'), array( 'vkaction['.$num.'][settings][show_when]', 'vkaction['.$num.'][settings][show_after_secs]' ) );
	vidprofits_action_group_time( $action, $settings, 'hide_after', 'vkaction['.$num.'][settings][hide_after]', 'Hide after', '', 'Leave 0 for never' );
	vidprofits_action_group_checkbox( $action, $settings, 'hide_mobile', 'vkaction['.$num.'][settings][hide_mobile]', 'Disable on Mobile Devices', false, 'If checked, this action will not execute on mobile devices (smartphones, etc)' );

	vidprofits_action_group_checkbox( $action, $settings, 'pause_video', 'vkaction['.$num.'][settings][pause_video]', 'Stop Video' );
	vidprofits_action_group_checkbox( $action, $settings, 'show_overlay', 'vkaction['.$num.'][settings][show_overlay]', 'Show Overlay' );
	
	// var_dump($action);
	/* Data */
	$categories = vidprofits_get_amazon_cats();
	vidprofits_action_group_text( $action, $settings, 'keyword', 'vkaction['.$num.'][settings][keyword]', 'Keyword', '', '' );
	vidprofits_action_group_select( $action, $settings, 'category', 'vkaction['.$num.'][settings][category]', 'Category', $categories );
	// vidprofits_action_group_text( $action, $settings, 'num_ads', 'vkaction['.$num.'][settings][num_ads]', 'Number of Ads', '', '' );
	vidprofits_action_group_numeric( $action, $settings, 'num_ads', 'vkaction['.$num.'][settings][num_ads]', 'Number of ads', 'Number of ads in carousel' );

	vidprofits_action_group_checkbox( $action, $settings, 'slideshow', 'vkaction['.$num.'][settings][slideshow]', 'Automatic Slideshow' );

	$positions = vidprofits_get_element_positions();
	vidprofits_action_group_select( $action, $settings, 'position', 'vkaction['.$num.'][settings][position]', 'Position', $positions );

	vidprofits_action_group_animations( $action, $settings, array( 'entry_anim', 'exit_anim'), array( 'vkaction['.$num.'][settings][entry_anim]', 'vkaction['.$num.'][settings][exit_anim]'  ) );

	vidprofits_print_action_footer( $action );
}

function vidprofits_print_action_cttweet( $action, $num ) {
	vidprofits_print_action_header( $action, $num );
	$settings = json_decode( $action->settings );
	vidprofits_action_group_show_when( $action, $settings, array( 'show_when', 'show_after_secs'), array( 'vkaction['.$num.'][settings][show_when]', 'vkaction['.$num.'][settings][show_after_secs]' ) );
	vidprofits_action_group_time( $action, $settings, 'hide_after', 'vkaction['.$num.'][settings][hide_after]', 'Hide after', '', 'Leave 0 for never' );
	vidprofits_action_group_checkbox( $action, $settings, 'hide_mobile', 'vkaction['.$num.'][settings][hide_mobile]', 'Disable on Mobile Devices', false, 'If checked, this action will not execute on mobile devices (smartphones, etc)' );

	vidprofits_action_group_checkbox( $action, $settings, 'pause_video', 'vkaction['.$num.'][settings][pause_video]', 'Stop Video' );
	vidprofits_action_group_checkbox( $action, $settings, 'show_overlay', 'vkaction['.$num.'][settings][show_overlay]', 'Show Overlay' );

	/* Data */
	vidprofits_action_group_textarea( $action, $settings, 'text', 'vkaction['.$num.'][settings][text]', 'Text', '', '' );
	vidprofits_action_group_text( $action, $settings, 'tw_url', 'vkaction['.$num.'][settings][tw_url]', 'URL', 'The link to include in the tweet', 'Optional' );
	vidprofits_action_group_text( $action, $settings, 'user', 'vkaction['.$num.'][settings][user]', 'Twitter User', 'Your twitter username', 'Optional' );

	$positions = vidprofits_get_element_positions();
	vidprofits_action_group_select( $action, $settings, 'position', 'vkaction['.$num.'][settings][position]', 'Position', $positions );

	vidprofits_action_group_animations( $action, $settings, array( 'entry_anim', 'exit_anim'), array( 'vkaction['.$num.'][settings][entry_anim]', 'vkaction['.$num.'][settings][exit_anim]'  ) );

	vidprofits_print_action_footer( $action );
}


function vidprofits_print_action_belowvideo( $action, $num ) {
	vidprofits_print_action_header( $action, $num );
	$settings = json_decode( $action->settings );
	vidprofits_action_group_show_when( $action, $settings, array( 'show_when', 'show_after_secs'), array( 'vkaction['.$num.'][settings][show_when]', 'vkaction['.$num.'][settings][show_after_secs]' ) );
	vidprofits_action_group_time( $action, $settings, 'hide_after', 'vkaction['.$num.'][settings][hide_after]', 'Hide after', '', 'Leave 0 for never' );
	vidprofits_action_group_checkbox( $action, $settings, 'hide_mobile', 'vkaction['.$num.'][settings][hide_mobile]', 'Disable on Mobile Devices', false, 'If checked, this action will not execute on mobile devices (smartphones, etc)' );

	vidprofits_action_group_checkbox( $action, $settings, 'pause_video', 'vkaction['.$num.'][settings][pause_video]', 'Stop Video' );

	/* Data */
	vidprofits_action_group_html( $action, $settings, 'html', 'vkaction['.$num.'][settings][html]', 'Content', '', '' );
	vidprofits_hidden_field( 'vkaction['.$num.'][settings][el_id]', 'vkaction_el_'.$action->video_id.'_'.$num );

	vidprofits_print_action_footer( $action );
}

function vidprofits_print_action_redirect( $action, $num ) {
	vidprofits_print_action_header( $action, $num );
	$settings = json_decode( $action->settings );
	vidprofits_action_group_show_when( $action, $settings, array( 'show_when', 'show_after_secs'), array( 'vkaction['.$num.'][settings][show_when]', 'vkaction['.$num.'][settings][show_after_secs]' ) );
	vidprofits_action_group_checkbox( $action, $settings, 'hide_mobile', 'vkaction['.$num.'][settings][hide_mobile]', 'Disable on Mobile Devices', false, 'If checked, this action will not execute on mobile devices (smartphones, etc)' );

	vidprofits_action_group_checkbox( $action, $settings, 'pause_video', 'vkaction['.$num.'][settings][pause_video]', 'Stop Video' );

	vidprofits_action_group_text( $action, $settings, 'redirect_url', 'vkaction['.$num.'][settings][redirect_url]', 'URL', 'URL To Redirect' );
	vidprofits_action_group_checkbox( $action, $settings, 'new_window', 'vkaction['.$num.'][settings][new_window]', 'Open in New Window' );

	vidprofits_print_action_footer( $action );
}


function vidprofits_print_action_survey( $action, $num ) {
	vidprofits_print_action_header( $action, $num );
	$settings = json_decode( $action->settings );
	vidprofits_action_group_show_when( $action, $settings, array( 'show_when', 'show_after_secs'), array( 'vkaction['.$num.'][settings][show_when]', 'vkaction['.$num.'][settings][show_after_secs]' ) );
	vidprofits_action_group_time( $action, $settings, 'hide_after', 'vkaction['.$num.'][settings][hide_after]', 'Hide after', '', 'Leave 0 for never' );
	vidprofits_action_group_checkbox( $action, $settings, 'hide_mobile', 'vkaction['.$num.'][settings][hide_mobile]', 'Disable on Mobile Devices', false, 'If checked, this action will not execute on mobile devices (smartphones, etc)' );

	vidprofits_action_group_checkbox( $action, $settings, 'pause_video', 'vkaction['.$num.'][settings][pause_video]', 'Stop Video' );

	vidprofits_action_group_checkbox( $action, $settings, 'skippable', 'vkaction['.$num.'][settings][skippable]', 'Skippable' );

	vidprofits_action_group_checkbox( $action, $settings, 'show_overlay', 'vkaction['.$num.'][settings][show_overlay]', 'Show Overlay' );

	/* Data */
	vidprofits_action_group_textarea( $action, $settings, 'text', 'vkaction['.$num.'][settings][text]', 'Question', '', '' );
	vidprofits_action_group_answers( $action, $settings, $num );

	vidprofits_action_group_animations( $action, $settings, array( 'entry_anim', 'exit_anim'), array( 'vkaction['.$num.'][settings][entry_anim]', 'vkaction['.$num.'][settings][exit_anim]'  ) );

	vidprofits_print_action_footer( $action );
}

function vidprofits_print_action_fullscreen( $action, $num ) {
	vidprofits_print_action_header( $action, $num );
	$settings = json_decode( $action->settings );
	vidprofits_action_group_show_when( $action, $settings, array( 'show_when', 'show_after_secs'), array( 'vkaction['.$num.'][settings][show_when]', 'vkaction['.$num.'][settings][show_after_secs]' ) );
	vidprofits_action_group_time( $action, $settings, 'hide_after', 'vkaction['.$num.'][settings][hide_after]', 'Hide after', '', 'Leave 0 for never' );
	vidprofits_action_group_checkbox( $action, $settings, 'hide_mobile', 'vkaction['.$num.'][settings][hide_mobile]', 'Disable on Mobile Devices', false, 'If checked, this action will not execute on mobile devices (smartphones, etc)' );
	

	vidprofits_print_action_footer( $action );
}

function vidprofits_print_action_scrolltovid( $action, $num ) {
	vidprofits_print_action_header( $action, $num );
	$settings = json_decode( $action->settings );
	vidprofits_action_group_show_when( $action, $settings, array( 'show_when', 'show_after_secs'), array( 'vkaction['.$num.'][settings][show_when]', 'vkaction['.$num.'][settings][show_after_secs]' ) );
	vidprofits_action_group_checkbox( $action, $settings, 'hide_mobile', 'vkaction['.$num.'][settings][hide_mobile]', 'Disable on Mobile Devices', false, 'If checked, this action will not execute on mobile devices (smartphones, etc)' );

	vidprofits_action_group_numeric( $action, $settings, 'offset', 'vkaction['.$num.'][settings][offset]', 'Offset (px)', 'Number of pixels above' );

	vidprofits_print_action_footer( $action );
}

function vidprofits_print_action_corner( $action, $num ) {
	vidprofits_print_action_header( $action, $num );
	$settings = json_decode( $action->settings );
	vidprofits_action_group_show_when( $action, $settings, array( 'show_when', 'show_after_secs'), array( 'vkaction['.$num.'][settings][show_when]', 'vkaction['.$num.'][settings][show_after_secs]' ) );

	vidprofits_action_group_time( $action, $settings, 'hide_after', 'vkaction['.$num.'][settings][hide_after]', 'Hide after', '', 'Leave 0 for never' );
	vidprofits_action_group_checkbox( $action, $settings, 'hide_mobile', 'vkaction['.$num.'][settings][hide_mobile]', 'Disable on Mobile Devices', false, 'If checked, this action will not execute on mobile devices (smartphones, etc)' );

	$positions = vidprofits_get_corner_positions();
	vidprofits_action_group_select( $action, $settings, 'position', 'vkaction['.$num.'][settings][position]', 'Position', $positions );

	vidprofits_print_action_footer( $action );
}

/* Other functions */
function vidprofits_add_action_ajax() {
	$type = isset( $_POST['type'] ) ? $_POST['type'] : 1;
	$num = isset( $_POST['num'] ) ? $_POST['num'] : 1;
	$action = new stdclass();
	$action->type = $type;
	$action->id = 0;
	vidprofits_print_action ( $action, $num );
	exit( 0 );
}

/* Other functions */
function vidprofits_duplicate_video_ajax() {
	$video_id = isset( $_POST['video_id'] ) ? intval($_POST['video_id']) : 0;
	$video_name = isset( $_POST['video_name'] ) ? $_POST['video_name'] : 'New Video';
	if ( $video_id ) {
		vidprofits_duplicate_video ( $video_id, $video_name );
		echo "1";
	}
	exit( 0 );
}

function vidprofits_remove_video_ajax() {
	$video_id = isset( $_POST['video_id'] ) ? intval($_POST['video_id']) : 0;
	if ( $video_id ) {
		vidprofits_delete_video ( $video_id );
		echo "1";
	}
	exit( 0 );
}

function vidprofits_add_answer_ajax() {
	$num = isset( $_POST['num'] ) ? $_POST['num'] : 1;
	$num_a = isset( $_POST['num_a'] ) ? $_POST['num_a'] : 1;
	vidprofits_print_answer ( false, $num, ++$num_a );
	exit( 0 );

}
// Print actions en FE
add_action('wp_footer', 'vidprofits_actions_el_script');

function vidprofits_actions_el_script() {
	if (is_admin()) return;
	$videos = vidprofits_get_videos();
	if (!$videos) return;
	$videos_arr = array();
	foreach( $videos as $video ) {
		$actions = vidprofits_get_video_actions( $video->id );
		$video_obj = new stdclass();
		$video_obj->player = 0;
		$video_obj->playing_original = true;
		$video_obj->playing_status = 0;
		$video_obj->do_seek = false;
		$video_obj->do_loop = $video->doloop;
		$video_obj->original_video = '';
		$video_obj->current_time = 0;

		$actions_arr = array();

		if ($actions) {
			$i = 0;
			foreach ( $actions as $action ) {
				$settings = json_decode( $action->settings );

				if( isset ( $settings->html ) ) {
					$settings->html = nl2br( $settings->html );
				}

				$action_obj = $settings;
				$action_obj->id = $i++;
				$action_obj->action_id = $action->id;
				$action_obj->video_id = $video->id;
				$action_obj->type = $action->type;
				$action_obj->done = false;
				$actions_arr[] = $action_obj;
			}
		}
		$video_obj->actions = $actions_arr;
		$videos_arr[$video->id] = $video_obj;
	}
	/* var js_data = '<?php ech json_encode($videos_arr); ?>';*/
?>
	<script>
	var js_data = '<?php echo vidprofits_escape_jsonstr ( json_encode( $videos_arr, JSON_HEX_QUOT ) ); ?>';
	var vidprofits_vsettings;
	try {
		 vidprofits_vsettings = JSON.parse( js_data );
	}
	catch(err) {
		vidprofits_vsettings = false;
	}
	</script>
<?php
}

function vidprofits_has_video_actions_below( $video_id ) {
	return vidprofits_get_video_actions_by_type( $video_id, VIDPROFITS_ACTION_BELOWVIDEO );
}

function vidprofits_increase_view_ajax() {
	if( isset( $_POST['video_id'] ) ) {
		vidprofits_do_increase_view( intval( $_POST['video_id']) );
	}
}

function vidprofits_increase_finish_ajax() {
	if( isset( $_POST['video_id'] ) ) {
		vidprofits_do_increase_finished( intval( $_POST['video_id']) );
	}
}
?>