<?php
function vidprofits_videos_list() {
	$page = isset( $_GET['vpg'] ) ? $_GET['vpg'] : 1;
	$results_per_page = 25;
	$videos = vidprofits_get_videos( false, $page, $results_per_page  );
	$str_ret = '<div class="well">';
	if (!$videos) {
		$str_ret .= 'No Videos Yet. <a href="#">Add the first one today!</a>';
		return;
	}
	else {
		$str_ret .= '<table class="table table-striped">';
		$str_ret .= '<tr><th scope="col">Id</th>
			<th scope="col">Name</th>
			<th scope="col">Shortcode</th>
			<th scope="col">Views</th>
			<th scope="col">Finished</th>
			<th scope="col">&nbsp;</th></tr>';
		foreach ( $videos as $video ) {
			$str_ret .= '<tr>
				<th scope="row">'.$video->id.'</th>
				<th scope="row">'.$video->name.'</th>
				<td><span class="label label-success" style="font-size:1.1em">[vidprofits id="'.$video->id.'"]</span> <a class="copy_vid btn btn-sm" title="Copy to Clipboard" href="#" data-video-id="'.$video->id.'"><i class="fa fa-copy"></i></a></td>
				<td>'.$video->visualizations.'</td>
				<td>'.$video->finishes.' ( '.($video->visualizations ? ( round( $video->finishes * 100 / $video->visualizations, 2 ) ) : 0).'%)</td>
				<td>
					<a class="btn btn-primary btn-sm" href="'.admin_url('/admin.php?page=vidprofits-videos&videoid='.$video->id).'"><i class="fa fa-edit"></i> Edit</a>
					<a class="btn btn-info btn-sm vidprofits-copy-video" href="#" data-video-id="'.$video->id.'"><i class="fa fa-copy"></i> Duplicate</a>
					<a class="btn btn-danger btn-sm vidprofits-remove-video" href="#" data-video-id="'.$video->id.'"><i class="fa fa-remove"></i> Delete</a>
				</td>

			</tr>';
		}
		$str_ret .= '</table>';
	}
	$str_ret .= '</div>';

	if( $page > 1 )
		$str_ret .= '<a class="btn btn-info" href="'.admin_url('admin.php?page=vidprofits-videos&vpg='.($page -1)).'"><i class="fa fa-chevron-left"></i> Prev Page</a>  &nbsp; &nbsp;';

	if( count( $videos ) >= ($page * $results_per_page ) ) {
		$str_ret .= '<a class="btn btn-info" href="'.admin_url('admin.php?page=vidprofits-videos&vpg='.++$page).'"><i class="fa fa-chevron-right"></i> Next Page</a>';
	}

	echo $str_ret;
}

/* Editor Button */

/* TinyMCE Shortcode Generator */

function vidprofits_video_js_button() {
	if ( ! current_user_can('edit_posts') && ! current_user_can('edit_pages') )
		return;
	if ( get_user_option('rich_editing') == 'true' ) {
		$vidprofits_videos = vidprofits_get_videos( true );
		$vidprofits_skins = vidprofits_get_skins( true );
		$vidprofits_frames = vidprofits_get_frames( true );
		// var_dump($vidprofits_videos);
	?>
	<script>
		var vidprofits_videos_list = JSON.parse('<?php echo vidprofits_escape_jsonstr( json_encode( $vidprofits_videos, JSON_HEX_QUOT ) ); ?>');
		var vidprofits_skins_list = JSON.parse('<?php echo vidprofits_escape_jsonstr( json_encode($vidprofits_skins, JSON_HEX_QUOT) ); ?>');
		var vidprofits_frames_list = JSON.parse('<?php echo vidprofits_escape_jsonstr( json_encode($vidprofits_frames, JSON_HEX_QUOT) ); ?>');
		var vidprofits_is_pro = <?php echo vidprofits_is_pro() ? 1 : 0; ?>
	</script>
	<?php 
		add_filter('mce_external_plugins', 'vidprofits_video_js_mce_plugin');
		add_filter('mce_buttons', 'vidprofits_register_video_js_button');
	}
}
 add_action('admin_head', 'vidprofits_video_js_button');

function vidprofits_register_video_js_button($buttons) {
	array_push($buttons, "|", "vidprofitsvideo");
	$options = get_option('vidprofitsvideo_options');
	echo('<div style="display:none"><input type="hidden" id="vidprofitsvideo-autoplay-default" value="' . $options['vidprofitsvideo_autoplay'] . '"><input type="hidden" id="vidprofitsvideo-preload-default" value="' . $options['vidprofitsvideo_preload'] . '"></div>'); 
	return $buttons;
}

function vidprofits_video_js_mce_plugin($plugin_array) {
	$plugin_array['vidprofitsvideo'] = VIDPROFITS_URL.'/js/mce-video-button.js';
	return $plugin_array;
}

?>